// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: address/v1/address.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// AddressClient is the client API for Address service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AddressClient interface {
	// 刷新所有行政区划，只对管理端开放该接口
	// 不存在的区划会自动创建，已存在的区划会自动更新名字与上级区划，不会删除数据库内已存在的区划
	// 数据来源（不包含港澳台，需手动添加港澳台）：
	// https://raw.githubusercontent.com/modood/Administrative-divisions-of-China/master/dist/pca-code.json
	// 区划代码      台湾省：71   香港特别行政区：81   澳门特别行政区：82
	UpdateAllDivision(ctx context.Context, in *UpdateAllDivisionReq, opts ...grpc.CallOption) (*UpdateAllDivisionResp, error)
	// 刷新所有国家或地区，只对管理端开放该接口
	// 不存在的国家或地区会自动创建，已存在的国家或地区会自动更新名字，不会删除数据库内已存在的国家或地区
	UpdateAllCountry(ctx context.Context, in *UpdateAllCountryReq, opts ...grpc.CallOption) (*UpdateAllCountryResp, error)
	// 获取所有国家或地区（不包含台湾省/香港特别行政区/澳门特别行政区，这些地区与大陆省份同级
	GetCountries(ctx context.Context, in *GetCountriesReq, opts ...grpc.CallOption) (*GetCountriesResp, error)
	// 获取某个国家或地区下的所有区划信息
	GetDivisions(ctx context.Context, in *GetDivisionsReq, opts ...grpc.CallOption) (*GetDivisionsResp, error)
	// 验证地区树是否未依赖关系（防止用户卡bug设置不符合树形关系的地址信息）
	VerifyDivisionTree(ctx context.Context, in *VerifyDivisionTreeReq, opts ...grpc.CallOption) (*VerifyDivisionTreeResp, error)
	QueryAddressByAddressList(ctx context.Context, in *QueryAddressByAddressListReq, opts ...grpc.CallOption) (*QueryAddressByAddressListResp, error)
	// 获取全部地址映射表
	QueryAllAddressMap(ctx context.Context, in *QueryAllAddressMapReq, opts ...grpc.CallOption) (*QueryAllAddressMapResp, error)
}

type addressClient struct {
	cc grpc.ClientConnInterface
}

func NewAddressClient(cc grpc.ClientConnInterface) AddressClient {
	return &addressClient{cc}
}

func (c *addressClient) UpdateAllDivision(ctx context.Context, in *UpdateAllDivisionReq, opts ...grpc.CallOption) (*UpdateAllDivisionResp, error) {
	out := new(UpdateAllDivisionResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/UpdateAllDivision", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) UpdateAllCountry(ctx context.Context, in *UpdateAllCountryReq, opts ...grpc.CallOption) (*UpdateAllCountryResp, error) {
	out := new(UpdateAllCountryResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/UpdateAllCountry", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) GetCountries(ctx context.Context, in *GetCountriesReq, opts ...grpc.CallOption) (*GetCountriesResp, error) {
	out := new(GetCountriesResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/GetCountries", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) GetDivisions(ctx context.Context, in *GetDivisionsReq, opts ...grpc.CallOption) (*GetDivisionsResp, error) {
	out := new(GetDivisionsResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/GetDivisions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) VerifyDivisionTree(ctx context.Context, in *VerifyDivisionTreeReq, opts ...grpc.CallOption) (*VerifyDivisionTreeResp, error) {
	out := new(VerifyDivisionTreeResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/VerifyDivisionTree", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) QueryAddressByAddressList(ctx context.Context, in *QueryAddressByAddressListReq, opts ...grpc.CallOption) (*QueryAddressByAddressListResp, error) {
	out := new(QueryAddressByAddressListResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/QueryAddressByAddressList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *addressClient) QueryAllAddressMap(ctx context.Context, in *QueryAllAddressMapReq, opts ...grpc.CallOption) (*QueryAllAddressMapResp, error) {
	out := new(QueryAllAddressMapResp)
	err := c.cc.Invoke(ctx, "/address.v1.Address/QueryAllAddressMap", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AddressServer is the server API for Address service.
// All implementations must embed UnimplementedAddressServer
// for forward compatibility
type AddressServer interface {
	// 刷新所有行政区划，只对管理端开放该接口
	// 不存在的区划会自动创建，已存在的区划会自动更新名字与上级区划，不会删除数据库内已存在的区划
	// 数据来源（不包含港澳台，需手动添加港澳台）：
	// https://raw.githubusercontent.com/modood/Administrative-divisions-of-China/master/dist/pca-code.json
	// 区划代码      台湾省：71   香港特别行政区：81   澳门特别行政区：82
	UpdateAllDivision(context.Context, *UpdateAllDivisionReq) (*UpdateAllDivisionResp, error)
	// 刷新所有国家或地区，只对管理端开放该接口
	// 不存在的国家或地区会自动创建，已存在的国家或地区会自动更新名字，不会删除数据库内已存在的国家或地区
	UpdateAllCountry(context.Context, *UpdateAllCountryReq) (*UpdateAllCountryResp, error)
	// 获取所有国家或地区（不包含台湾省/香港特别行政区/澳门特别行政区，这些地区与大陆省份同级
	GetCountries(context.Context, *GetCountriesReq) (*GetCountriesResp, error)
	// 获取某个国家或地区下的所有区划信息
	GetDivisions(context.Context, *GetDivisionsReq) (*GetDivisionsResp, error)
	// 验证地区树是否未依赖关系（防止用户卡bug设置不符合树形关系的地址信息）
	VerifyDivisionTree(context.Context, *VerifyDivisionTreeReq) (*VerifyDivisionTreeResp, error)
	QueryAddressByAddressList(context.Context, *QueryAddressByAddressListReq) (*QueryAddressByAddressListResp, error)
	// 获取全部地址映射表
	QueryAllAddressMap(context.Context, *QueryAllAddressMapReq) (*QueryAllAddressMapResp, error)
	mustEmbedUnimplementedAddressServer()
}

// UnimplementedAddressServer must be embedded to have forward compatible implementations.
type UnimplementedAddressServer struct {
}

func (UnimplementedAddressServer) UpdateAllDivision(context.Context, *UpdateAllDivisionReq) (*UpdateAllDivisionResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateAllDivision not implemented")
}
func (UnimplementedAddressServer) UpdateAllCountry(context.Context, *UpdateAllCountryReq) (*UpdateAllCountryResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateAllCountry not implemented")
}
func (UnimplementedAddressServer) GetCountries(context.Context, *GetCountriesReq) (*GetCountriesResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCountries not implemented")
}
func (UnimplementedAddressServer) GetDivisions(context.Context, *GetDivisionsReq) (*GetDivisionsResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDivisions not implemented")
}
func (UnimplementedAddressServer) VerifyDivisionTree(context.Context, *VerifyDivisionTreeReq) (*VerifyDivisionTreeResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method VerifyDivisionTree not implemented")
}
func (UnimplementedAddressServer) QueryAddressByAddressList(context.Context, *QueryAddressByAddressListReq) (*QueryAddressByAddressListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAddressByAddressList not implemented")
}
func (UnimplementedAddressServer) QueryAllAddressMap(context.Context, *QueryAllAddressMapReq) (*QueryAllAddressMapResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAllAddressMap not implemented")
}
func (UnimplementedAddressServer) mustEmbedUnimplementedAddressServer() {}

// UnsafeAddressServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AddressServer will
// result in compilation errors.
type UnsafeAddressServer interface {
	mustEmbedUnimplementedAddressServer()
}

func RegisterAddressServer(s grpc.ServiceRegistrar, srv AddressServer) {
	s.RegisterService(&Address_ServiceDesc, srv)
}

func _Address_UpdateAllDivision_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateAllDivisionReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).UpdateAllDivision(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/UpdateAllDivision",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).UpdateAllDivision(ctx, req.(*UpdateAllDivisionReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_UpdateAllCountry_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateAllCountryReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).UpdateAllCountry(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/UpdateAllCountry",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).UpdateAllCountry(ctx, req.(*UpdateAllCountryReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_GetCountries_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetCountriesReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).GetCountries(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/GetCountries",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).GetCountries(ctx, req.(*GetCountriesReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_GetDivisions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetDivisionsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).GetDivisions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/GetDivisions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).GetDivisions(ctx, req.(*GetDivisionsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_VerifyDivisionTree_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(VerifyDivisionTreeReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).VerifyDivisionTree(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/VerifyDivisionTree",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).VerifyDivisionTree(ctx, req.(*VerifyDivisionTreeReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_QueryAddressByAddressList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAddressByAddressListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).QueryAddressByAddressList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/QueryAddressByAddressList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).QueryAddressByAddressList(ctx, req.(*QueryAddressByAddressListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Address_QueryAllAddressMap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAllAddressMapReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AddressServer).QueryAllAddressMap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/address.v1.Address/QueryAllAddressMap",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AddressServer).QueryAllAddressMap(ctx, req.(*QueryAllAddressMapReq))
	}
	return interceptor(ctx, in, info, handler)
}

// Address_ServiceDesc is the grpc.ServiceDesc for Address service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Address_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "address.v1.Address",
	HandlerType: (*AddressServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UpdateAllDivision",
			Handler:    _Address_UpdateAllDivision_Handler,
		},
		{
			MethodName: "UpdateAllCountry",
			Handler:    _Address_UpdateAllCountry_Handler,
		},
		{
			MethodName: "GetCountries",
			Handler:    _Address_GetCountries_Handler,
		},
		{
			MethodName: "GetDivisions",
			Handler:    _Address_GetDivisions_Handler,
		},
		{
			MethodName: "VerifyDivisionTree",
			Handler:    _Address_VerifyDivisionTree_Handler,
		},
		{
			MethodName: "QueryAddressByAddressList",
			Handler:    _Address_QueryAddressByAddressList_Handler,
		},
		{
			MethodName: "QueryAllAddressMap",
			Handler:    _Address_QueryAllAddressMap_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "address/v1/address.proto",
}
