// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.12
// source: advert_gateway/v1/advert_gateway.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// AdvertGatewayClient is the client API for AdvertGateway service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AdvertGatewayClient interface {
	// 获取用户信息
	GetUserInfo(ctx context.Context, in *GetUserInfoReq, opts ...grpc.CallOption) (*GetUserInfoResp, error)
	// 获取活动详情
	GetActivityDetail(ctx context.Context, in *GetActivityDetailReq, opts ...grpc.CallOption) (*GetActivityDetailResp, error)
	// 创建用户活动记录
	CreateActivityRecord(ctx context.Context, in *CreateActivityRecordReq, opts ...grpc.CallOption) (*Empty, error)
	// 获取用户活动记录
	GetActivityRecord(ctx context.Context, in *GetActivityRecordReq, opts ...grpc.CallOption) (*GetActivityRecordResp, error)
	// 获取当前用户的充值消费金额
	GetUserWalletStatistics(ctx context.Context, in *GetUserWalletStatisticsReq, opts ...grpc.CallOption) (*GetUserWalletStatisticsResp, error)
	// 领取奖品记录
	GetPrizeRecordList(ctx context.Context, in *GetPrizeRecordListReq, opts ...grpc.CallOption) (*GetPrizeRecordListResp, error)
}

type advertGatewayClient struct {
	cc grpc.ClientConnInterface
}

func NewAdvertGatewayClient(cc grpc.ClientConnInterface) AdvertGatewayClient {
	return &advertGatewayClient{cc}
}

func (c *advertGatewayClient) GetUserInfo(ctx context.Context, in *GetUserInfoReq, opts ...grpc.CallOption) (*GetUserInfoResp, error) {
	out := new(GetUserInfoResp)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/GetUserInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertGatewayClient) GetActivityDetail(ctx context.Context, in *GetActivityDetailReq, opts ...grpc.CallOption) (*GetActivityDetailResp, error) {
	out := new(GetActivityDetailResp)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/GetActivityDetail", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertGatewayClient) CreateActivityRecord(ctx context.Context, in *CreateActivityRecordReq, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/CreateActivityRecord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertGatewayClient) GetActivityRecord(ctx context.Context, in *GetActivityRecordReq, opts ...grpc.CallOption) (*GetActivityRecordResp, error) {
	out := new(GetActivityRecordResp)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/GetActivityRecord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertGatewayClient) GetUserWalletStatistics(ctx context.Context, in *GetUserWalletStatisticsReq, opts ...grpc.CallOption) (*GetUserWalletStatisticsResp, error) {
	out := new(GetUserWalletStatisticsResp)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/GetUserWalletStatistics", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertGatewayClient) GetPrizeRecordList(ctx context.Context, in *GetPrizeRecordListReq, opts ...grpc.CallOption) (*GetPrizeRecordListResp, error) {
	out := new(GetPrizeRecordListResp)
	err := c.cc.Invoke(ctx, "/advert_gateway.v1.AdvertGateway/GetPrizeRecordList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AdvertGatewayServer is the server API for AdvertGateway service.
// All implementations must embed UnimplementedAdvertGatewayServer
// for forward compatibility
type AdvertGatewayServer interface {
	// 获取用户信息
	GetUserInfo(context.Context, *GetUserInfoReq) (*GetUserInfoResp, error)
	// 获取活动详情
	GetActivityDetail(context.Context, *GetActivityDetailReq) (*GetActivityDetailResp, error)
	// 创建用户活动记录
	CreateActivityRecord(context.Context, *CreateActivityRecordReq) (*Empty, error)
	// 获取用户活动记录
	GetActivityRecord(context.Context, *GetActivityRecordReq) (*GetActivityRecordResp, error)
	// 获取当前用户的充值消费金额
	GetUserWalletStatistics(context.Context, *GetUserWalletStatisticsReq) (*GetUserWalletStatisticsResp, error)
	// 领取奖品记录
	GetPrizeRecordList(context.Context, *GetPrizeRecordListReq) (*GetPrizeRecordListResp, error)
	mustEmbedUnimplementedAdvertGatewayServer()
}

// UnimplementedAdvertGatewayServer must be embedded to have forward compatible implementations.
type UnimplementedAdvertGatewayServer struct {
}

func (UnimplementedAdvertGatewayServer) GetUserInfo(context.Context, *GetUserInfoReq) (*GetUserInfoResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserInfo not implemented")
}
func (UnimplementedAdvertGatewayServer) GetActivityDetail(context.Context, *GetActivityDetailReq) (*GetActivityDetailResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetActivityDetail not implemented")
}
func (UnimplementedAdvertGatewayServer) CreateActivityRecord(context.Context, *CreateActivityRecordReq) (*Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateActivityRecord not implemented")
}
func (UnimplementedAdvertGatewayServer) GetActivityRecord(context.Context, *GetActivityRecordReq) (*GetActivityRecordResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetActivityRecord not implemented")
}
func (UnimplementedAdvertGatewayServer) GetUserWalletStatistics(context.Context, *GetUserWalletStatisticsReq) (*GetUserWalletStatisticsResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserWalletStatistics not implemented")
}
func (UnimplementedAdvertGatewayServer) GetPrizeRecordList(context.Context, *GetPrizeRecordListReq) (*GetPrizeRecordListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPrizeRecordList not implemented")
}
func (UnimplementedAdvertGatewayServer) mustEmbedUnimplementedAdvertGatewayServer() {}

// UnsafeAdvertGatewayServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AdvertGatewayServer will
// result in compilation errors.
type UnsafeAdvertGatewayServer interface {
	mustEmbedUnimplementedAdvertGatewayServer()
}

func RegisterAdvertGatewayServer(s grpc.ServiceRegistrar, srv AdvertGatewayServer) {
	s.RegisterService(&AdvertGateway_ServiceDesc, srv)
}

func _AdvertGateway_GetUserInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserInfoReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).GetUserInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/GetUserInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).GetUserInfo(ctx, req.(*GetUserInfoReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AdvertGateway_GetActivityDetail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetActivityDetailReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).GetActivityDetail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/GetActivityDetail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).GetActivityDetail(ctx, req.(*GetActivityDetailReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AdvertGateway_CreateActivityRecord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateActivityRecordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).CreateActivityRecord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/CreateActivityRecord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).CreateActivityRecord(ctx, req.(*CreateActivityRecordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AdvertGateway_GetActivityRecord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetActivityRecordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).GetActivityRecord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/GetActivityRecord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).GetActivityRecord(ctx, req.(*GetActivityRecordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AdvertGateway_GetUserWalletStatistics_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserWalletStatisticsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).GetUserWalletStatistics(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/GetUserWalletStatistics",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).GetUserWalletStatistics(ctx, req.(*GetUserWalletStatisticsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AdvertGateway_GetPrizeRecordList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPrizeRecordListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertGatewayServer).GetPrizeRecordList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/advert_gateway.v1.AdvertGateway/GetPrizeRecordList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertGatewayServer).GetPrizeRecordList(ctx, req.(*GetPrizeRecordListReq))
	}
	return interceptor(ctx, in, info, handler)
}

// AdvertGateway_ServiceDesc is the grpc.ServiceDesc for AdvertGateway service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var AdvertGateway_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "advert_gateway.v1.AdvertGateway",
	HandlerType: (*AdvertGatewayServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetUserInfo",
			Handler:    _AdvertGateway_GetUserInfo_Handler,
		},
		{
			MethodName: "GetActivityDetail",
			Handler:    _AdvertGateway_GetActivityDetail_Handler,
		},
		{
			MethodName: "CreateActivityRecord",
			Handler:    _AdvertGateway_CreateActivityRecord_Handler,
		},
		{
			MethodName: "GetActivityRecord",
			Handler:    _AdvertGateway_GetActivityRecord_Handler,
		},
		{
			MethodName: "GetUserWalletStatistics",
			Handler:    _AdvertGateway_GetUserWalletStatistics_Handler,
		},
		{
			MethodName: "GetPrizeRecordList",
			Handler:    _AdvertGateway_GetPrizeRecordList_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "advert_gateway/v1/advert_gateway.proto",
}
