// Code generated by protoc-gen-go-http. DO NOT EDIT.
// versions:
// - protoc-gen-go-http v2.7.2
// - protoc             v4.25.1
// source: app_gateway/v1/app_gateway.proto

package v1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	http "github.com/go-kratos/kratos/v2/transport/http"
	binding "github.com/go-kratos/kratos/v2/transport/http/binding"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the kratos package it is being compiled against.
var _ = new(context.Context)
var _ = binding.EncodeURL

const _ = http.SupportPackageIsVersion1

const OperationAppGatewayAdolescentModel = "/app_gateway.v1.AppGateway/AdolescentModel"
const OperationAppGatewayBindWechat = "/app_gateway.v1.AppGateway/BindWechat"
const OperationAppGatewayCancelAccount = "/app_gateway.v1.AppGateway/CancelAccount"
const OperationAppGatewayDevopsNotice = "/app_gateway.v1.AppGateway/DevopsNotice"
const OperationAppGatewayLogOut = "/app_gateway.v1.AppGateway/LogOut"
const OperationAppGatewayLoginUsePassword = "/app_gateway.v1.AppGateway/LoginUsePassword"
const OperationAppGatewayLoginUseSMS = "/app_gateway.v1.AppGateway/LoginUseSMS"
const OperationAppGatewayLoginUseThirdPartyWechat = "/app_gateway.v1.AppGateway/LoginUseThirdPartyWechat"
const OperationAppGatewayQueryBind = "/app_gateway.v1.AppGateway/QueryBind"
const OperationAppGatewayQueryUserPrivacy = "/app_gateway.v1.AppGateway/QueryUserPrivacy"
const OperationAppGatewayResetPassword = "/app_gateway.v1.AppGateway/ResetPassword"
const OperationAppGatewaySetPassword = "/app_gateway.v1.AppGateway/SetPassword"
const OperationAppGatewaySmsCodeSend = "/app_gateway.v1.AppGateway/SmsCodeSend"
const OperationAppGatewayTestRoute = "/app_gateway.v1.AppGateway/TestRoute"
const OperationAppGatewayUnbindWechat = "/app_gateway.v1.AppGateway/UnbindWechat"

type AppGatewayHTTPServer interface {
	// AdolescentModel 开启青少年模式
	AdolescentModel(context.Context, *common.Empty) (*common.Empty, error)
	// BindWechat 登录状态下 绑定微信
	BindWechat(context.Context, *BindWechatReq) (*common.Empty, error)
	// CancelAccount 注销账号
	CancelAccount(context.Context, *common.Empty) (*common.Empty, error)
	// DevopsNotice 部署通知
	DevopsNotice(context.Context, *DevopsRobotReq) (*Empty, error)
	// LogOut 登出
	LogOut(context.Context, *LogOutReq) (*common.Empty, error)
	// LoginUsePassword 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error)
	// LoginUseSMS 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error)
	// LoginUseThirdPartyWechat 使用微信登录
	LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyWechatReq) (*ThirdPartyLoginResp, error)
	// QueryBind 查询绑定状态
	QueryBind(context.Context, *common.Empty) (*QueryBindResp, error)
	// QueryUserPrivacy 查询用户隐私
	QueryUserPrivacy(context.Context, *common.Empty) (*QueryUserPrivacyResp, error)
	// ResetPassword 根据手机验证码重置密码
	ResetPassword(context.Context, *ResetPasswordReq) (*common.Empty, error)
	// SetPassword 设置密码
	SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error)
	// SmsCodeSend 发送短信验证码
	SmsCodeSend(context.Context, *SmsCodeSendReq) (*SmsCodeSendResp, error)
	// TestRoute 调试使用
	TestRoute(context.Context, *TestRouteReq) (*TestRouteResp, error)
	// UnbindWechat 解绑微信
	UnbindWechat(context.Context, *common.Empty) (*common.Empty, error)
}

func RegisterAppGatewayHTTPServer(s *http.Server, srv AppGatewayHTTPServer) {
	r := s.Route("/")
	r.GET("/v1/test/route", _AppGateway_TestRoute0_HTTP_Handler(srv))
	r.GET("/v1/jenkins/devops/notice", _AppGateway_DevopsNotice0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/login/password", _AppGateway_LoginUsePassword0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/login/sms", _AppGateway_LoginUseSMS0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/login/wechat", _AppGateway_LoginUseThirdPartyWechat0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/sms/send", _AppGateway_SmsCodeSend0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/privacy/query", _AppGateway_QueryUserPrivacy0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/password/update", _AppGateway_SetPassword0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/logout", _AppGateway_LogOut0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/cancel_account", _AppGateway_CancelAccount0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/adolescent_model/start", _AppGateway_AdolescentModel0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/unbind/wechat", _AppGateway_UnbindWechat0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/bind/wechat", _AppGateway_BindWechat0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/bind/query", _AppGateway_QueryBind0_HTTP_Handler(srv))
	r.POST("/v1/user_auth/password/reset", _AppGateway_ResetPassword0_HTTP_Handler(srv))
}

func _AppGateway_TestRoute0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in TestRouteReq
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayTestRoute)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.TestRoute(ctx, req.(*TestRouteReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*TestRouteResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_DevopsNotice0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in DevopsRobotReq
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayDevopsNotice)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.DevopsNotice(ctx, req.(*DevopsRobotReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_LoginUsePassword0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in LoginUsePasswordReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayLoginUsePassword)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.LoginUsePassword(ctx, req.(*LoginUsePasswordReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*LoginResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_LoginUseSMS0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in LoginUseSMSReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayLoginUseSMS)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.LoginUseSMS(ctx, req.(*LoginUseSMSReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*LoginResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_LoginUseThirdPartyWechat0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in LoginUseThirdPartyWechatReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayLoginUseThirdPartyWechat)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.LoginUseThirdPartyWechat(ctx, req.(*LoginUseThirdPartyWechatReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*ThirdPartyLoginResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_SmsCodeSend0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in SmsCodeSendReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewaySmsCodeSend)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.SmsCodeSend(ctx, req.(*SmsCodeSendReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*SmsCodeSendResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_QueryUserPrivacy0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in common.Empty
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayQueryUserPrivacy)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.QueryUserPrivacy(ctx, req.(*common.Empty))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*QueryUserPrivacyResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_SetPassword0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in SetPasswordReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewaySetPassword)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.SetPassword(ctx, req.(*SetPasswordReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_LogOut0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in LogOutReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayLogOut)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.LogOut(ctx, req.(*LogOutReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_CancelAccount0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in common.Empty
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayCancelAccount)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.CancelAccount(ctx, req.(*common.Empty))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_AdolescentModel0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in common.Empty
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayAdolescentModel)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.AdolescentModel(ctx, req.(*common.Empty))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_UnbindWechat0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in common.Empty
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayUnbindWechat)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.UnbindWechat(ctx, req.(*common.Empty))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_BindWechat0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in BindWechatReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayBindWechat)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.BindWechat(ctx, req.(*BindWechatReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_QueryBind0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in common.Empty
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayQueryBind)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.QueryBind(ctx, req.(*common.Empty))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*QueryBindResp)
		return ctx.Result(200, reply)
	}
}

func _AppGateway_ResetPassword0_HTTP_Handler(srv AppGatewayHTTPServer) func(ctx http.Context) error {
	return func(ctx http.Context) error {
		var in ResetPasswordReq
		if err := ctx.Bind(&in); err != nil {
			return err
		}
		if err := ctx.BindQuery(&in); err != nil {
			return err
		}
		http.SetOperation(ctx, OperationAppGatewayResetPassword)
		h := ctx.Middleware(func(ctx context.Context, req interface{}) (interface{}, error) {
			return srv.ResetPassword(ctx, req.(*ResetPasswordReq))
		})
		out, err := h(ctx, &in)
		if err != nil {
			return err
		}
		reply := out.(*common.Empty)
		return ctx.Result(200, reply)
	}
}

type AppGatewayHTTPClient interface {
	AdolescentModel(ctx context.Context, req *common.Empty, opts ...http.CallOption) (rsp *common.Empty, err error)
	BindWechat(ctx context.Context, req *BindWechatReq, opts ...http.CallOption) (rsp *common.Empty, err error)
	CancelAccount(ctx context.Context, req *common.Empty, opts ...http.CallOption) (rsp *common.Empty, err error)
	DevopsNotice(ctx context.Context, req *DevopsRobotReq, opts ...http.CallOption) (rsp *Empty, err error)
	LogOut(ctx context.Context, req *LogOutReq, opts ...http.CallOption) (rsp *common.Empty, err error)
	LoginUsePassword(ctx context.Context, req *LoginUsePasswordReq, opts ...http.CallOption) (rsp *LoginResp, err error)
	LoginUseSMS(ctx context.Context, req *LoginUseSMSReq, opts ...http.CallOption) (rsp *LoginResp, err error)
	LoginUseThirdPartyWechat(ctx context.Context, req *LoginUseThirdPartyWechatReq, opts ...http.CallOption) (rsp *ThirdPartyLoginResp, err error)
	QueryBind(ctx context.Context, req *common.Empty, opts ...http.CallOption) (rsp *QueryBindResp, err error)
	QueryUserPrivacy(ctx context.Context, req *common.Empty, opts ...http.CallOption) (rsp *QueryUserPrivacyResp, err error)
	ResetPassword(ctx context.Context, req *ResetPasswordReq, opts ...http.CallOption) (rsp *common.Empty, err error)
	SetPassword(ctx context.Context, req *SetPasswordReq, opts ...http.CallOption) (rsp *common.Empty, err error)
	SmsCodeSend(ctx context.Context, req *SmsCodeSendReq, opts ...http.CallOption) (rsp *SmsCodeSendResp, err error)
	TestRoute(ctx context.Context, req *TestRouteReq, opts ...http.CallOption) (rsp *TestRouteResp, err error)
	UnbindWechat(ctx context.Context, req *common.Empty, opts ...http.CallOption) (rsp *common.Empty, err error)
}

type AppGatewayHTTPClientImpl struct {
	cc *http.Client
}

func NewAppGatewayHTTPClient(client *http.Client) AppGatewayHTTPClient {
	return &AppGatewayHTTPClientImpl{client}
}

func (c *AppGatewayHTTPClientImpl) AdolescentModel(ctx context.Context, in *common.Empty, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/adolescent_model/start"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayAdolescentModel))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) BindWechat(ctx context.Context, in *BindWechatReq, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/bind/wechat"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayBindWechat))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) CancelAccount(ctx context.Context, in *common.Empty, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/cancel_account"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayCancelAccount))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) DevopsNotice(ctx context.Context, in *DevopsRobotReq, opts ...http.CallOption) (*Empty, error) {
	var out Empty
	pattern := "/v1/jenkins/devops/notice"
	path := binding.EncodeURL(pattern, in, true)
	opts = append(opts, http.Operation(OperationAppGatewayDevopsNotice))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "GET", path, nil, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) LogOut(ctx context.Context, in *LogOutReq, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/logout"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayLogOut))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...http.CallOption) (*LoginResp, error) {
	var out LoginResp
	pattern := "/v1/user_auth/login/password"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayLoginUsePassword))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...http.CallOption) (*LoginResp, error) {
	var out LoginResp
	pattern := "/v1/user_auth/login/sms"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayLoginUseSMS))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyWechatReq, opts ...http.CallOption) (*ThirdPartyLoginResp, error) {
	var out ThirdPartyLoginResp
	pattern := "/v1/user_auth/login/wechat"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayLoginUseThirdPartyWechat))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) QueryBind(ctx context.Context, in *common.Empty, opts ...http.CallOption) (*QueryBindResp, error) {
	var out QueryBindResp
	pattern := "/v1/user_auth/bind/query"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayQueryBind))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) QueryUserPrivacy(ctx context.Context, in *common.Empty, opts ...http.CallOption) (*QueryUserPrivacyResp, error) {
	var out QueryUserPrivacyResp
	pattern := "/v1/user_auth/privacy/query"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayQueryUserPrivacy))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) ResetPassword(ctx context.Context, in *ResetPasswordReq, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/password/reset"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayResetPassword))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) SetPassword(ctx context.Context, in *SetPasswordReq, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/password/update"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewaySetPassword))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) SmsCodeSend(ctx context.Context, in *SmsCodeSendReq, opts ...http.CallOption) (*SmsCodeSendResp, error) {
	var out SmsCodeSendResp
	pattern := "/v1/user_auth/sms/send"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewaySmsCodeSend))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) TestRoute(ctx context.Context, in *TestRouteReq, opts ...http.CallOption) (*TestRouteResp, error) {
	var out TestRouteResp
	pattern := "/v1/test/route"
	path := binding.EncodeURL(pattern, in, true)
	opts = append(opts, http.Operation(OperationAppGatewayTestRoute))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "GET", path, nil, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}

func (c *AppGatewayHTTPClientImpl) UnbindWechat(ctx context.Context, in *common.Empty, opts ...http.CallOption) (*common.Empty, error) {
	var out common.Empty
	pattern := "/v1/user_auth/unbind/wechat"
	path := binding.EncodeURL(pattern, in, false)
	opts = append(opts, http.Operation(OperationAppGatewayUnbindWechat))
	opts = append(opts, http.PathTemplate(pattern))
	err := c.cc.Invoke(ctx, "POST", path, in, &out, opts...)
	if err != nil {
		return nil, err
	}
	return &out, err
}
