// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: auth/v1/auth.proto

package authV1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// AuthClient is the client API for Auth service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AuthClient interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 查询用户账号
	QueryUserIdentity(ctx context.Context, in *QueryUserIdentityReq, opts ...grpc.CallOption) (*QueryUserIdentityResp, error)
	// 根据session查询用户id
	QueryUidBySession(ctx context.Context, in *QueryUidBySessionReq, opts ...grpc.CallOption) (*QueryUidBySessionResp, error)
	// 封禁用户
	BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 解封用户
	RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户隐私
	QueryUserPrivacy(ctx context.Context, in *QueryUserPrivacyReq, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 解散公会删除密码
	DeletePassword(ctx context.Context, in *DeletePasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 退出登录
	LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 注销账号
	CancelAccount(ctx context.Context, in *CancelAccountReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(ctx context.Context, in *UnbindWechatReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 绑定微信
	BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询绑定列表
	QueryBind(ctx context.Context, in *QueryBindReq, opts ...grpc.CallOption) (*QueryBindResp, error)
	// 迁移初始化
	InitUserThirdPartyIdMap(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error)
	// 更新用户登录信息
	UpdateUserLoginInfo(ctx context.Context, in *UpdateUserLoginInfoReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 密码找回
	ResetPassword(ctx context.Context, in *ResetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 生成游戏服务端连接token
	CreateHostsToken(ctx context.Context, in *CreateHostsTokenReq, opts ...grpc.CallOption) (*CreateHostsTokenResp, error)
	// 验证游戏服务端连接token
	CheckHostsToken(ctx context.Context, in *CheckHostsTokenReq, opts ...grpc.CallOption) (*HostsToken, error)
}

type authClient struct {
	cc grpc.ClientConnInterface
}

func NewAuthClient(cc grpc.ClientConnInterface) AuthClient {
	return &authClient{cc}
}

func (c *authClient) LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/LoginUsePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/LoginUseSMS", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/LoginUseThirdPartyWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) QueryUserIdentity(ctx context.Context, in *QueryUserIdentityReq, opts ...grpc.CallOption) (*QueryUserIdentityResp, error) {
	out := new(QueryUserIdentityResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/QueryUserIdentity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) QueryUidBySession(ctx context.Context, in *QueryUidBySessionReq, opts ...grpc.CallOption) (*QueryUidBySessionResp, error) {
	out := new(QueryUidBySessionResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/QueryUidBySession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/BannedUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/RecoverUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) QueryUserPrivacy(ctx context.Context, in *QueryUserPrivacyReq, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error) {
	out := new(QueryUserPrivacyResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/QueryUserPrivacy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/SetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) DeletePassword(ctx context.Context, in *DeletePasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/DeletePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/LogOut", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) CancelAccount(ctx context.Context, in *CancelAccountReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/CancelAccount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) UnbindWechat(ctx context.Context, in *UnbindWechatReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/UnbindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/BindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) QueryBind(ctx context.Context, in *QueryBindReq, opts ...grpc.CallOption) (*QueryBindResp, error) {
	out := new(QueryBindResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/QueryBind", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) InitUserThirdPartyIdMap(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/InitUserThirdPartyIdMap", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) UpdateUserLoginInfo(ctx context.Context, in *UpdateUserLoginInfoReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/UpdateUserLoginInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) ResetPassword(ctx context.Context, in *ResetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/ResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) CreateHostsToken(ctx context.Context, in *CreateHostsTokenReq, opts ...grpc.CallOption) (*CreateHostsTokenResp, error) {
	out := new(CreateHostsTokenResp)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/CreateHostsToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authClient) CheckHostsToken(ctx context.Context, in *CheckHostsTokenReq, opts ...grpc.CallOption) (*HostsToken, error) {
	out := new(HostsToken)
	err := c.cc.Invoke(ctx, "/auth.v1.Auth/CheckHostsToken", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AuthServer is the server API for Auth service.
// All implementations must embed UnimplementedAuthServer
// for forward compatibility
type AuthServer interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyReq) (*ThirdPartyLoginResp, error)
	// 查询用户账号
	QueryUserIdentity(context.Context, *QueryUserIdentityReq) (*QueryUserIdentityResp, error)
	// 根据session查询用户id
	QueryUidBySession(context.Context, *QueryUidBySessionReq) (*QueryUidBySessionResp, error)
	// 封禁用户
	BannedUser(context.Context, *BannedUserReq) (*common.Empty, error)
	// 解封用户
	RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error)
	// 查询用户隐私
	QueryUserPrivacy(context.Context, *QueryUserPrivacyReq) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error)
	// 解散公会删除密码
	DeletePassword(context.Context, *DeletePasswordReq) (*common.Empty, error)
	// 退出登录
	LogOut(context.Context, *LogOutReq) (*common.Empty, error)
	// 注销账号
	CancelAccount(context.Context, *CancelAccountReq) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(context.Context, *UnbindWechatReq) (*common.Empty, error)
	// 绑定微信
	BindWechat(context.Context, *BindWechatReq) (*common.Empty, error)
	// 查询绑定列表
	QueryBind(context.Context, *QueryBindReq) (*QueryBindResp, error)
	// 迁移初始化
	InitUserThirdPartyIdMap(context.Context, *common.Empty) (*common.Empty, error)
	// 更新用户登录信息
	UpdateUserLoginInfo(context.Context, *UpdateUserLoginInfoReq) (*common.Empty, error)
	// 密码找回
	ResetPassword(context.Context, *ResetPasswordReq) (*common.Empty, error)
	// 生成游戏服务端连接token
	CreateHostsToken(context.Context, *CreateHostsTokenReq) (*CreateHostsTokenResp, error)
	// 验证游戏服务端连接token
	CheckHostsToken(context.Context, *CheckHostsTokenReq) (*HostsToken, error)
	mustEmbedUnimplementedAuthServer()
}

// UnimplementedAuthServer must be embedded to have forward compatible implementations.
type UnimplementedAuthServer struct {
}

func (UnimplementedAuthServer) LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUsePassword not implemented")
}
func (UnimplementedAuthServer) LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseSMS not implemented")
}
func (UnimplementedAuthServer) LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyWechat not implemented")
}
func (UnimplementedAuthServer) QueryUserIdentity(context.Context, *QueryUserIdentityReq) (*QueryUserIdentityResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserIdentity not implemented")
}
func (UnimplementedAuthServer) QueryUidBySession(context.Context, *QueryUidBySessionReq) (*QueryUidBySessionResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUidBySession not implemented")
}
func (UnimplementedAuthServer) BannedUser(context.Context, *BannedUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BannedUser not implemented")
}
func (UnimplementedAuthServer) RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RecoverUser not implemented")
}
func (UnimplementedAuthServer) QueryUserPrivacy(context.Context, *QueryUserPrivacyReq) (*QueryUserPrivacyResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserPrivacy not implemented")
}
func (UnimplementedAuthServer) SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetPassword not implemented")
}
func (UnimplementedAuthServer) DeletePassword(context.Context, *DeletePasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeletePassword not implemented")
}
func (UnimplementedAuthServer) LogOut(context.Context, *LogOutReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LogOut not implemented")
}
func (UnimplementedAuthServer) CancelAccount(context.Context, *CancelAccountReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelAccount not implemented")
}
func (UnimplementedAuthServer) UnbindWechat(context.Context, *UnbindWechatReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnbindWechat not implemented")
}
func (UnimplementedAuthServer) BindWechat(context.Context, *BindWechatReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BindWechat not implemented")
}
func (UnimplementedAuthServer) QueryBind(context.Context, *QueryBindReq) (*QueryBindResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBind not implemented")
}
func (UnimplementedAuthServer) InitUserThirdPartyIdMap(context.Context, *common.Empty) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitUserThirdPartyIdMap not implemented")
}
func (UnimplementedAuthServer) UpdateUserLoginInfo(context.Context, *UpdateUserLoginInfoReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUserLoginInfo not implemented")
}
func (UnimplementedAuthServer) ResetPassword(context.Context, *ResetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetPassword not implemented")
}
func (UnimplementedAuthServer) CreateHostsToken(context.Context, *CreateHostsTokenReq) (*CreateHostsTokenResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateHostsToken not implemented")
}
func (UnimplementedAuthServer) CheckHostsToken(context.Context, *CheckHostsTokenReq) (*HostsToken, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckHostsToken not implemented")
}
func (UnimplementedAuthServer) mustEmbedUnimplementedAuthServer() {}

// UnsafeAuthServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AuthServer will
// result in compilation errors.
type UnsafeAuthServer interface {
	mustEmbedUnimplementedAuthServer()
}

func RegisterAuthServer(s grpc.ServiceRegistrar, srv AuthServer) {
	s.RegisterService(&Auth_ServiceDesc, srv)
}

func _Auth_LoginUsePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUsePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).LoginUsePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/LoginUsePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).LoginUsePassword(ctx, req.(*LoginUsePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_LoginUseSMS_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseSMSReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).LoginUseSMS(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/LoginUseSMS",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).LoginUseSMS(ctx, req.(*LoginUseSMSReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_LoginUseThirdPartyWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).LoginUseThirdPartyWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/LoginUseThirdPartyWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).LoginUseThirdPartyWechat(ctx, req.(*LoginUseThirdPartyReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_QueryUserIdentity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserIdentityReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).QueryUserIdentity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/QueryUserIdentity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).QueryUserIdentity(ctx, req.(*QueryUserIdentityReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_QueryUidBySession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUidBySessionReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).QueryUidBySession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/QueryUidBySession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).QueryUidBySession(ctx, req.(*QueryUidBySessionReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_BannedUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BannedUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).BannedUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/BannedUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).BannedUser(ctx, req.(*BannedUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_RecoverUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecoverUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).RecoverUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/RecoverUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).RecoverUser(ctx, req.(*RecoverUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_QueryUserPrivacy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserPrivacyReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).QueryUserPrivacy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/QueryUserPrivacy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).QueryUserPrivacy(ctx, req.(*QueryUserPrivacyReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_SetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).SetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/SetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).SetPassword(ctx, req.(*SetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_DeletePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).DeletePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/DeletePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).DeletePassword(ctx, req.(*DeletePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_LogOut_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogOutReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).LogOut(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/LogOut",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).LogOut(ctx, req.(*LogOutReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_CancelAccount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelAccountReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).CancelAccount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/CancelAccount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).CancelAccount(ctx, req.(*CancelAccountReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_UnbindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnbindWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).UnbindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/UnbindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).UnbindWechat(ctx, req.(*UnbindWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_BindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BindWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).BindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/BindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).BindWechat(ctx, req.(*BindWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_QueryBind_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryBindReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).QueryBind(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/QueryBind",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).QueryBind(ctx, req.(*QueryBindReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_InitUserThirdPartyIdMap_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).InitUserThirdPartyIdMap(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/InitUserThirdPartyIdMap",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).InitUserThirdPartyIdMap(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_UpdateUserLoginInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserLoginInfoReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).UpdateUserLoginInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/UpdateUserLoginInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).UpdateUserLoginInfo(ctx, req.(*UpdateUserLoginInfoReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_ResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).ResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/ResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).ResetPassword(ctx, req.(*ResetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_CreateHostsToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateHostsTokenReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).CreateHostsToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/CreateHostsToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).CreateHostsToken(ctx, req.(*CreateHostsTokenReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Auth_CheckHostsToken_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckHostsTokenReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthServer).CheckHostsToken(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/auth.v1.Auth/CheckHostsToken",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthServer).CheckHostsToken(ctx, req.(*CheckHostsTokenReq))
	}
	return interceptor(ctx, in, info, handler)
}

// Auth_ServiceDesc is the grpc.ServiceDesc for Auth service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Auth_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "auth.v1.Auth",
	HandlerType: (*AuthServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "LoginUsePassword",
			Handler:    _Auth_LoginUsePassword_Handler,
		},
		{
			MethodName: "LoginUseSMS",
			Handler:    _Auth_LoginUseSMS_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyWechat",
			Handler:    _Auth_LoginUseThirdPartyWechat_Handler,
		},
		{
			MethodName: "QueryUserIdentity",
			Handler:    _Auth_QueryUserIdentity_Handler,
		},
		{
			MethodName: "QueryUidBySession",
			Handler:    _Auth_QueryUidBySession_Handler,
		},
		{
			MethodName: "BannedUser",
			Handler:    _Auth_BannedUser_Handler,
		},
		{
			MethodName: "RecoverUser",
			Handler:    _Auth_RecoverUser_Handler,
		},
		{
			MethodName: "QueryUserPrivacy",
			Handler:    _Auth_QueryUserPrivacy_Handler,
		},
		{
			MethodName: "SetPassword",
			Handler:    _Auth_SetPassword_Handler,
		},
		{
			MethodName: "DeletePassword",
			Handler:    _Auth_DeletePassword_Handler,
		},
		{
			MethodName: "LogOut",
			Handler:    _Auth_LogOut_Handler,
		},
		{
			MethodName: "CancelAccount",
			Handler:    _Auth_CancelAccount_Handler,
		},
		{
			MethodName: "UnbindWechat",
			Handler:    _Auth_UnbindWechat_Handler,
		},
		{
			MethodName: "BindWechat",
			Handler:    _Auth_BindWechat_Handler,
		},
		{
			MethodName: "QueryBind",
			Handler:    _Auth_QueryBind_Handler,
		},
		{
			MethodName: "InitUserThirdPartyIdMap",
			Handler:    _Auth_InitUserThirdPartyIdMap_Handler,
		},
		{
			MethodName: "UpdateUserLoginInfo",
			Handler:    _Auth_UpdateUserLoginInfo_Handler,
		},
		{
			MethodName: "ResetPassword",
			Handler:    _Auth_ResetPassword_Handler,
		},
		{
			MethodName: "CreateHostsToken",
			Handler:    _Auth_CreateHostsToken_Handler,
		},
		{
			MethodName: "CheckHostsToken",
			Handler:    _Auth_CheckHostsToken_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "auth/v1/auth.proto",
}
