// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: gateway/v1/advert/advert.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// AdvertClient is the client API for Advert service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AdvertClient interface {
	// 获取轮播列表
	GetBannerList(ctx context.Context, in *GetBannerListReq, opts ...grpc.CallOption) (*GetBannerListRsp, error)
	// 创建轮播广告
	CreateBanner(ctx context.Context, in *CreateBannerReq, opts ...grpc.CallOption) (*CreateBannerRsp, error)
	// 修改轮播广告
	UpdateBanner(ctx context.Context, in *UpdateBannerReq, opts ...grpc.CallOption) (*UpdateBannerRsp, error)
	// 删除轮播广告
	DeleteBanner(ctx context.Context, in *DeleteBannerReq, opts ...grpc.CallOption) (*DeleteBannerRsp, error)
	// 获取需要公告的内容
	GetBulletinUsable(ctx context.Context, in *GetBulletinUsableReq, opts ...grpc.CallOption) (*GetBulletinUsableResp, error)
}

type advertClient struct {
	cc grpc.ClientConnInterface
}

func NewAdvertClient(cc grpc.ClientConnInterface) AdvertClient {
	return &advertClient{cc}
}

func (c *advertClient) GetBannerList(ctx context.Context, in *GetBannerListReq, opts ...grpc.CallOption) (*GetBannerListRsp, error) {
	out := new(GetBannerListRsp)
	err := c.cc.Invoke(ctx, "/gateway_advert.v1.Advert/GetBannerList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertClient) CreateBanner(ctx context.Context, in *CreateBannerReq, opts ...grpc.CallOption) (*CreateBannerRsp, error) {
	out := new(CreateBannerRsp)
	err := c.cc.Invoke(ctx, "/gateway_advert.v1.Advert/CreateBanner", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertClient) UpdateBanner(ctx context.Context, in *UpdateBannerReq, opts ...grpc.CallOption) (*UpdateBannerRsp, error) {
	out := new(UpdateBannerRsp)
	err := c.cc.Invoke(ctx, "/gateway_advert.v1.Advert/UpdateBanner", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertClient) DeleteBanner(ctx context.Context, in *DeleteBannerReq, opts ...grpc.CallOption) (*DeleteBannerRsp, error) {
	out := new(DeleteBannerRsp)
	err := c.cc.Invoke(ctx, "/gateway_advert.v1.Advert/DeleteBanner", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *advertClient) GetBulletinUsable(ctx context.Context, in *GetBulletinUsableReq, opts ...grpc.CallOption) (*GetBulletinUsableResp, error) {
	out := new(GetBulletinUsableResp)
	err := c.cc.Invoke(ctx, "/gateway_advert.v1.Advert/GetBulletinUsable", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AdvertServer is the server API for Advert service.
// All implementations must embed UnimplementedAdvertServer
// for forward compatibility
type AdvertServer interface {
	// 获取轮播列表
	GetBannerList(context.Context, *GetBannerListReq) (*GetBannerListRsp, error)
	// 创建轮播广告
	CreateBanner(context.Context, *CreateBannerReq) (*CreateBannerRsp, error)
	// 修改轮播广告
	UpdateBanner(context.Context, *UpdateBannerReq) (*UpdateBannerRsp, error)
	// 删除轮播广告
	DeleteBanner(context.Context, *DeleteBannerReq) (*DeleteBannerRsp, error)
	// 获取需要公告的内容
	GetBulletinUsable(context.Context, *GetBulletinUsableReq) (*GetBulletinUsableResp, error)
	mustEmbedUnimplementedAdvertServer()
}

// UnimplementedAdvertServer must be embedded to have forward compatible implementations.
type UnimplementedAdvertServer struct {
}

func (UnimplementedAdvertServer) GetBannerList(context.Context, *GetBannerListReq) (*GetBannerListRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBannerList not implemented")
}
func (UnimplementedAdvertServer) CreateBanner(context.Context, *CreateBannerReq) (*CreateBannerRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateBanner not implemented")
}
func (UnimplementedAdvertServer) UpdateBanner(context.Context, *UpdateBannerReq) (*UpdateBannerRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateBanner not implemented")
}
func (UnimplementedAdvertServer) DeleteBanner(context.Context, *DeleteBannerReq) (*DeleteBannerRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteBanner not implemented")
}
func (UnimplementedAdvertServer) GetBulletinUsable(context.Context, *GetBulletinUsableReq) (*GetBulletinUsableResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBulletinUsable not implemented")
}
func (UnimplementedAdvertServer) mustEmbedUnimplementedAdvertServer() {}

// UnsafeAdvertServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AdvertServer will
// result in compilation errors.
type UnsafeAdvertServer interface {
	mustEmbedUnimplementedAdvertServer()
}

func RegisterAdvertServer(s grpc.ServiceRegistrar, srv AdvertServer) {
	s.RegisterService(&Advert_ServiceDesc, srv)
}

func _Advert_GetBannerList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBannerListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertServer).GetBannerList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_advert.v1.Advert/GetBannerList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertServer).GetBannerList(ctx, req.(*GetBannerListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Advert_CreateBanner_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateBannerReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertServer).CreateBanner(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_advert.v1.Advert/CreateBanner",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertServer).CreateBanner(ctx, req.(*CreateBannerReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Advert_UpdateBanner_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateBannerReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertServer).UpdateBanner(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_advert.v1.Advert/UpdateBanner",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertServer).UpdateBanner(ctx, req.(*UpdateBannerReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Advert_DeleteBanner_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBannerReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertServer).DeleteBanner(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_advert.v1.Advert/DeleteBanner",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertServer).DeleteBanner(ctx, req.(*DeleteBannerReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Advert_GetBulletinUsable_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBulletinUsableReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdvertServer).GetBulletinUsable(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_advert.v1.Advert/GetBulletinUsable",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdvertServer).GetBulletinUsable(ctx, req.(*GetBulletinUsableReq))
	}
	return interceptor(ctx, in, info, handler)
}

// Advert_ServiceDesc is the grpc.ServiceDesc for Advert service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Advert_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "gateway_advert.v1.Advert",
	HandlerType: (*AdvertServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetBannerList",
			Handler:    _Advert_GetBannerList_Handler,
		},
		{
			MethodName: "CreateBanner",
			Handler:    _Advert_CreateBanner_Handler,
		},
		{
			MethodName: "UpdateBanner",
			Handler:    _Advert_UpdateBanner_Handler,
		},
		{
			MethodName: "DeleteBanner",
			Handler:    _Advert_DeleteBanner_Handler,
		},
		{
			MethodName: "GetBulletinUsable",
			Handler:    _Advert_GetBulletinUsable_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "gateway/v1/advert/advert.proto",
}
