// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: gateway/v1/base/base.proto

package v1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// GatewayClient is the client API for Gateway service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type GatewayClient interface {
	// 复合搜索
	Search(ctx context.Context, in *SearchReq, opts ...grpc.CallOption) (*SearchRsq, error)
	Signature(ctx context.Context, in *GetSignatureReq, opts ...grpc.CallOption) (*GetSignatureReq, error)
	// 获取移动安全联盟证书
	GetAllianceCert(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetAllianceCertResp, error)
	// 新人引导
	FirstPoint(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*FirstPointResp, error)
}

type gatewayClient struct {
	cc grpc.ClientConnInterface
}

func NewGatewayClient(cc grpc.ClientConnInterface) GatewayClient {
	return &gatewayClient{cc}
}

func (c *gatewayClient) Search(ctx context.Context, in *SearchReq, opts ...grpc.CallOption) (*SearchRsq, error) {
	out := new(SearchRsq)
	err := c.cc.Invoke(ctx, "/gateway_base.v1.Gateway/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *gatewayClient) Signature(ctx context.Context, in *GetSignatureReq, opts ...grpc.CallOption) (*GetSignatureReq, error) {
	out := new(GetSignatureReq)
	err := c.cc.Invoke(ctx, "/gateway_base.v1.Gateway/Signature", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *gatewayClient) GetAllianceCert(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetAllianceCertResp, error) {
	out := new(GetAllianceCertResp)
	err := c.cc.Invoke(ctx, "/gateway_base.v1.Gateway/GetAllianceCert", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *gatewayClient) FirstPoint(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*FirstPointResp, error) {
	out := new(FirstPointResp)
	err := c.cc.Invoke(ctx, "/gateway_base.v1.Gateway/FirstPoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// GatewayServer is the server API for Gateway service.
// All implementations must embed UnimplementedGatewayServer
// for forward compatibility
type GatewayServer interface {
	// 复合搜索
	Search(context.Context, *SearchReq) (*SearchRsq, error)
	Signature(context.Context, *GetSignatureReq) (*GetSignatureReq, error)
	// 获取移动安全联盟证书
	GetAllianceCert(context.Context, *common.Empty) (*GetAllianceCertResp, error)
	// 新人引导
	FirstPoint(context.Context, *common.Empty) (*FirstPointResp, error)
	mustEmbedUnimplementedGatewayServer()
}

// UnimplementedGatewayServer must be embedded to have forward compatible implementations.
type UnimplementedGatewayServer struct {
}

func (UnimplementedGatewayServer) Search(context.Context, *SearchReq) (*SearchRsq, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}
func (UnimplementedGatewayServer) Signature(context.Context, *GetSignatureReq) (*GetSignatureReq, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Signature not implemented")
}
func (UnimplementedGatewayServer) GetAllianceCert(context.Context, *common.Empty) (*GetAllianceCertResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAllianceCert not implemented")
}
func (UnimplementedGatewayServer) FirstPoint(context.Context, *common.Empty) (*FirstPointResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FirstPoint not implemented")
}
func (UnimplementedGatewayServer) mustEmbedUnimplementedGatewayServer() {}

// UnsafeGatewayServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to GatewayServer will
// result in compilation errors.
type UnsafeGatewayServer interface {
	mustEmbedUnimplementedGatewayServer()
}

func RegisterGatewayServer(s grpc.ServiceRegistrar, srv GatewayServer) {
	s.RegisterService(&Gateway_ServiceDesc, srv)
}

func _Gateway_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GatewayServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_base.v1.Gateway/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GatewayServer).Search(ctx, req.(*SearchReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Gateway_Signature_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSignatureReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GatewayServer).Signature(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_base.v1.Gateway/Signature",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GatewayServer).Signature(ctx, req.(*GetSignatureReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Gateway_GetAllianceCert_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GatewayServer).GetAllianceCert(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_base.v1.Gateway/GetAllianceCert",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GatewayServer).GetAllianceCert(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Gateway_FirstPoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GatewayServer).FirstPoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_base.v1.Gateway/FirstPoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GatewayServer).FirstPoint(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

// Gateway_ServiceDesc is the grpc.ServiceDesc for Gateway service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Gateway_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "gateway_base.v1.Gateway",
	HandlerType: (*GatewayServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Search",
			Handler:    _Gateway_Search_Handler,
		},
		{
			MethodName: "Signature",
			Handler:    _Gateway_Signature_Handler,
		},
		{
			MethodName: "GetAllianceCert",
			Handler:    _Gateway_GetAllianceCert_Handler,
		},
		{
			MethodName: "FirstPoint",
			Handler:    _Gateway_FirstPoint_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "gateway/v1/base/base.proto",
}
