// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: gateway/v1/user_auth/user_auth.proto

package v1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// UserAuthClient is the client API for UserAuth service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type UserAuthClient interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用QQ登录
	LoginUseThirdPartyQQ(ctx context.Context, in *LoginUseThirdPartyQQReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyWechatReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用Apple登录
	LoginUseThirdPartyApple(ctx context.Context, in *LoginUseThirdPartyAppleReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用手机号运营商一键登录
	LoginUsePhoneAuthOneClick(ctx context.Context, in *LoginUsePhoneAuthOneClickReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 登录状态下 绑定QQ
	MyBindQQ(ctx context.Context, in *MyBindQQReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 发送短信验证码
	SmsCodeSend(ctx context.Context, in *SmsCodeSendReq, opts ...grpc.CallOption) (*SmsCodeSendResp, error)
	// 查询用户隐私
	QueryUserPrivacy(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 登出
	LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 注销账号
	CancelAccount(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error)
	// 开启青少年模式
	AdolescentModel(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error)
	// 登录状态下 绑定微信
	BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询绑定状态
	QueryBind(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryBindResp, error)
	// 获取代理ip组
	GetProxyList(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetProxyListResp, error)
	// 根据手机验证码重置密码
	ResetPassword(ctx context.Context, in *ResetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
}

type userAuthClient struct {
	cc grpc.ClientConnInterface
}

func NewUserAuthClient(cc grpc.ClientConnInterface) UserAuthClient {
	return &userAuthClient{cc}
}

func (c *userAuthClient) LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUsePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUseSMS", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyQQ(ctx context.Context, in *LoginUseThirdPartyQQReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyQQ", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyWechatReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyApple(ctx context.Context, in *LoginUseThirdPartyAppleReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyApple", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUsePhoneAuthOneClick(ctx context.Context, in *LoginUsePhoneAuthOneClickReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LoginUsePhoneAuthOneClick", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) MyBindQQ(ctx context.Context, in *MyBindQQReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/MyBindQQ", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) SmsCodeSend(ctx context.Context, in *SmsCodeSendReq, opts ...grpc.CallOption) (*SmsCodeSendResp, error) {
	out := new(SmsCodeSendResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/SmsCodeSend", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUserPrivacy(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error) {
	out := new(QueryUserPrivacyResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/QueryUserPrivacy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/SetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/LogOut", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) CancelAccount(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/CancelAccount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) AdolescentModel(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/AdolescentModel", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) UnbindWechat(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/UnbindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/BindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryBind(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryBindResp, error) {
	out := new(QueryBindResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/QueryBind", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) GetProxyList(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetProxyListResp, error) {
	out := new(GetProxyListResp)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/GetProxyList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) ResetPassword(ctx context.Context, in *ResetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/gateway_user_auth.v1.UserAuth/ResetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UserAuthServer is the server API for UserAuth service.
// All implementations must embed UnimplementedUserAuthServer
// for forward compatibility
type UserAuthServer interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error)
	// 使用QQ登录
	LoginUseThirdPartyQQ(context.Context, *LoginUseThirdPartyQQReq) (*ThirdPartyLoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyWechatReq) (*ThirdPartyLoginResp, error)
	// 使用Apple登录
	LoginUseThirdPartyApple(context.Context, *LoginUseThirdPartyAppleReq) (*ThirdPartyLoginResp, error)
	// 使用手机号运营商一键登录
	LoginUsePhoneAuthOneClick(context.Context, *LoginUsePhoneAuthOneClickReq) (*LoginResp, error)
	// 登录状态下 绑定QQ
	MyBindQQ(context.Context, *MyBindQQReq) (*common.Empty, error)
	// 发送短信验证码
	SmsCodeSend(context.Context, *SmsCodeSendReq) (*SmsCodeSendResp, error)
	// 查询用户隐私
	QueryUserPrivacy(context.Context, *common.Empty) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error)
	// 登出
	LogOut(context.Context, *LogOutReq) (*common.Empty, error)
	// 注销账号
	CancelAccount(context.Context, *common.Empty) (*common.Empty, error)
	// 开启青少年模式
	AdolescentModel(context.Context, *common.Empty) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(context.Context, *common.Empty) (*common.Empty, error)
	// 登录状态下 绑定微信
	BindWechat(context.Context, *BindWechatReq) (*common.Empty, error)
	// 查询绑定状态
	QueryBind(context.Context, *common.Empty) (*QueryBindResp, error)
	// 获取代理ip组
	GetProxyList(context.Context, *common.Empty) (*GetProxyListResp, error)
	// 根据手机验证码重置密码
	ResetPassword(context.Context, *ResetPasswordReq) (*common.Empty, error)
	mustEmbedUnimplementedUserAuthServer()
}

// UnimplementedUserAuthServer must be embedded to have forward compatible implementations.
type UnimplementedUserAuthServer struct {
}

func (UnimplementedUserAuthServer) LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUsePassword not implemented")
}
func (UnimplementedUserAuthServer) LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseSMS not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyQQ(context.Context, *LoginUseThirdPartyQQReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyQQ not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyWechatReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyWechat not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyApple(context.Context, *LoginUseThirdPartyAppleReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyApple not implemented")
}
func (UnimplementedUserAuthServer) LoginUsePhoneAuthOneClick(context.Context, *LoginUsePhoneAuthOneClickReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUsePhoneAuthOneClick not implemented")
}
func (UnimplementedUserAuthServer) MyBindQQ(context.Context, *MyBindQQReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MyBindQQ not implemented")
}
func (UnimplementedUserAuthServer) SmsCodeSend(context.Context, *SmsCodeSendReq) (*SmsCodeSendResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SmsCodeSend not implemented")
}
func (UnimplementedUserAuthServer) QueryUserPrivacy(context.Context, *common.Empty) (*QueryUserPrivacyResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserPrivacy not implemented")
}
func (UnimplementedUserAuthServer) SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetPassword not implemented")
}
func (UnimplementedUserAuthServer) LogOut(context.Context, *LogOutReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LogOut not implemented")
}
func (UnimplementedUserAuthServer) CancelAccount(context.Context, *common.Empty) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelAccount not implemented")
}
func (UnimplementedUserAuthServer) AdolescentModel(context.Context, *common.Empty) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AdolescentModel not implemented")
}
func (UnimplementedUserAuthServer) UnbindWechat(context.Context, *common.Empty) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnbindWechat not implemented")
}
func (UnimplementedUserAuthServer) BindWechat(context.Context, *BindWechatReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BindWechat not implemented")
}
func (UnimplementedUserAuthServer) QueryBind(context.Context, *common.Empty) (*QueryBindResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBind not implemented")
}
func (UnimplementedUserAuthServer) GetProxyList(context.Context, *common.Empty) (*GetProxyListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetProxyList not implemented")
}
func (UnimplementedUserAuthServer) ResetPassword(context.Context, *ResetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ResetPassword not implemented")
}
func (UnimplementedUserAuthServer) mustEmbedUnimplementedUserAuthServer() {}

// UnsafeUserAuthServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to UserAuthServer will
// result in compilation errors.
type UnsafeUserAuthServer interface {
	mustEmbedUnimplementedUserAuthServer()
}

func RegisterUserAuthServer(s grpc.ServiceRegistrar, srv UserAuthServer) {
	s.RegisterService(&UserAuth_ServiceDesc, srv)
}

func _UserAuth_LoginUsePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUsePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUsePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUsePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUsePassword(ctx, req.(*LoginUsePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseSMS_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseSMSReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseSMS(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUseSMS",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseSMS(ctx, req.(*LoginUseSMSReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyQQ_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyQQReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyQQ(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyQQ",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyQQ(ctx, req.(*LoginUseThirdPartyQQReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyWechat(ctx, req.(*LoginUseThirdPartyWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyApple_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyAppleReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyApple(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUseThirdPartyApple",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyApple(ctx, req.(*LoginUseThirdPartyAppleReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUsePhoneAuthOneClick_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUsePhoneAuthOneClickReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUsePhoneAuthOneClick(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LoginUsePhoneAuthOneClick",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUsePhoneAuthOneClick(ctx, req.(*LoginUsePhoneAuthOneClickReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_MyBindQQ_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MyBindQQReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).MyBindQQ(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/MyBindQQ",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).MyBindQQ(ctx, req.(*MyBindQQReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_SmsCodeSend_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmsCodeSendReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).SmsCodeSend(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/SmsCodeSend",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).SmsCodeSend(ctx, req.(*SmsCodeSendReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUserPrivacy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUserPrivacy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/QueryUserPrivacy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUserPrivacy(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_SetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).SetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/SetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).SetPassword(ctx, req.(*SetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LogOut_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogOutReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LogOut(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/LogOut",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LogOut(ctx, req.(*LogOutReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_CancelAccount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).CancelAccount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/CancelAccount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).CancelAccount(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_AdolescentModel_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).AdolescentModel(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/AdolescentModel",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).AdolescentModel(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_UnbindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).UnbindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/UnbindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).UnbindWechat(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_BindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BindWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).BindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/BindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).BindWechat(ctx, req.(*BindWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryBind_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryBind(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/QueryBind",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryBind(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_GetProxyList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).GetProxyList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/GetProxyList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).GetProxyList(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_ResetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ResetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).ResetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/gateway_user_auth.v1.UserAuth/ResetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).ResetPassword(ctx, req.(*ResetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

// UserAuth_ServiceDesc is the grpc.ServiceDesc for UserAuth service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var UserAuth_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "gateway_user_auth.v1.UserAuth",
	HandlerType: (*UserAuthServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "LoginUsePassword",
			Handler:    _UserAuth_LoginUsePassword_Handler,
		},
		{
			MethodName: "LoginUseSMS",
			Handler:    _UserAuth_LoginUseSMS_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyQQ",
			Handler:    _UserAuth_LoginUseThirdPartyQQ_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyWechat",
			Handler:    _UserAuth_LoginUseThirdPartyWechat_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyApple",
			Handler:    _UserAuth_LoginUseThirdPartyApple_Handler,
		},
		{
			MethodName: "LoginUsePhoneAuthOneClick",
			Handler:    _UserAuth_LoginUsePhoneAuthOneClick_Handler,
		},
		{
			MethodName: "MyBindQQ",
			Handler:    _UserAuth_MyBindQQ_Handler,
		},
		{
			MethodName: "SmsCodeSend",
			Handler:    _UserAuth_SmsCodeSend_Handler,
		},
		{
			MethodName: "QueryUserPrivacy",
			Handler:    _UserAuth_QueryUserPrivacy_Handler,
		},
		{
			MethodName: "SetPassword",
			Handler:    _UserAuth_SetPassword_Handler,
		},
		{
			MethodName: "LogOut",
			Handler:    _UserAuth_LogOut_Handler,
		},
		{
			MethodName: "CancelAccount",
			Handler:    _UserAuth_CancelAccount_Handler,
		},
		{
			MethodName: "AdolescentModel",
			Handler:    _UserAuth_AdolescentModel_Handler,
		},
		{
			MethodName: "UnbindWechat",
			Handler:    _UserAuth_UnbindWechat_Handler,
		},
		{
			MethodName: "BindWechat",
			Handler:    _UserAuth_BindWechat_Handler,
		},
		{
			MethodName: "QueryBind",
			Handler:    _UserAuth_QueryBind_Handler,
		},
		{
			MethodName: "GetProxyList",
			Handler:    _UserAuth_GetProxyList_Handler,
		},
		{
			MethodName: "ResetPassword",
			Handler:    _UserAuth_ResetPassword_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "gateway/v1/user_auth/user_auth.proto",
}
