// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.12
// source: message/v1/message.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// MessageClient is the client API for Message service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type MessageClient interface {
	// 房间消息推送
	RoomPush(ctx context.Context, in *RoomPushRequest, opts ...grpc.CallOption) (*RoomPushReply, error)
	// 房间聊天
	// Deprecated
	RoomChat(ctx context.Context, in *RoomChatRequest, opts ...grpc.CallOption) (*RoomChatReply, error)
	// 获取房间的消息
	GetRoomMessage(ctx context.Context, in *GetRoomMessageRequest, opts ...grpc.CallOption) (*GetRoomMessageReply, error)
	// 聊天框
	ChatMessage(ctx context.Context, in *RoomChatRequest, opts ...grpc.CallOption) (*RoomChatReply, error)
}

type messageClient struct {
	cc grpc.ClientConnInterface
}

func NewMessageClient(cc grpc.ClientConnInterface) MessageClient {
	return &messageClient{cc}
}

func (c *messageClient) RoomPush(ctx context.Context, in *RoomPushRequest, opts ...grpc.CallOption) (*RoomPushReply, error) {
	out := new(RoomPushReply)
	err := c.cc.Invoke(ctx, "/message.v1.Message/RoomPush", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *messageClient) RoomChat(ctx context.Context, in *RoomChatRequest, opts ...grpc.CallOption) (*RoomChatReply, error) {
	out := new(RoomChatReply)
	err := c.cc.Invoke(ctx, "/message.v1.Message/RoomChat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *messageClient) GetRoomMessage(ctx context.Context, in *GetRoomMessageRequest, opts ...grpc.CallOption) (*GetRoomMessageReply, error) {
	out := new(GetRoomMessageReply)
	err := c.cc.Invoke(ctx, "/message.v1.Message/GetRoomMessage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *messageClient) ChatMessage(ctx context.Context, in *RoomChatRequest, opts ...grpc.CallOption) (*RoomChatReply, error) {
	out := new(RoomChatReply)
	err := c.cc.Invoke(ctx, "/message.v1.Message/ChatMessage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MessageServer is the server API for Message service.
// All implementations must embed UnimplementedMessageServer
// for forward compatibility
type MessageServer interface {
	// 房间消息推送
	RoomPush(context.Context, *RoomPushRequest) (*RoomPushReply, error)
	// 房间聊天
	// Deprecated
	RoomChat(context.Context, *RoomChatRequest) (*RoomChatReply, error)
	// 获取房间的消息
	GetRoomMessage(context.Context, *GetRoomMessageRequest) (*GetRoomMessageReply, error)
	// 聊天框
	ChatMessage(context.Context, *RoomChatRequest) (*RoomChatReply, error)
	mustEmbedUnimplementedMessageServer()
}

// UnimplementedMessageServer must be embedded to have forward compatible implementations.
type UnimplementedMessageServer struct {
}

func (UnimplementedMessageServer) RoomPush(context.Context, *RoomPushRequest) (*RoomPushReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RoomPush not implemented")
}
func (UnimplementedMessageServer) RoomChat(context.Context, *RoomChatRequest) (*RoomChatReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RoomChat not implemented")
}
func (UnimplementedMessageServer) GetRoomMessage(context.Context, *GetRoomMessageRequest) (*GetRoomMessageReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetRoomMessage not implemented")
}
func (UnimplementedMessageServer) ChatMessage(context.Context, *RoomChatRequest) (*RoomChatReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChatMessage not implemented")
}
func (UnimplementedMessageServer) mustEmbedUnimplementedMessageServer() {}

// UnsafeMessageServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to MessageServer will
// result in compilation errors.
type UnsafeMessageServer interface {
	mustEmbedUnimplementedMessageServer()
}

func RegisterMessageServer(s grpc.ServiceRegistrar, srv MessageServer) {
	s.RegisterService(&Message_ServiceDesc, srv)
}

func _Message_RoomPush_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RoomPushRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MessageServer).RoomPush(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/message.v1.Message/RoomPush",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MessageServer).RoomPush(ctx, req.(*RoomPushRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Message_RoomChat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RoomChatRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MessageServer).RoomChat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/message.v1.Message/RoomChat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MessageServer).RoomChat(ctx, req.(*RoomChatRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Message_GetRoomMessage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRoomMessageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MessageServer).GetRoomMessage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/message.v1.Message/GetRoomMessage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MessageServer).GetRoomMessage(ctx, req.(*GetRoomMessageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Message_ChatMessage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RoomChatRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MessageServer).ChatMessage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/message.v1.Message/ChatMessage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MessageServer).ChatMessage(ctx, req.(*RoomChatRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// Message_ServiceDesc is the grpc.ServiceDesc for Message service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Message_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "message.v1.Message",
	HandlerType: (*MessageServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "RoomPush",
			Handler:    _Message_RoomPush_Handler,
		},
		{
			MethodName: "RoomChat",
			Handler:    _Message_RoomChat_Handler,
		},
		{
			MethodName: "GetRoomMessage",
			Handler:    _Message_GetRoomMessage_Handler,
		},
		{
			MethodName: "ChatMessage",
			Handler:    _Message_ChatMessage_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "message/v1/message.proto",
}
