// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.21.12
// source: proxy/v1/proxy.proto

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// ProxyServerClient is the client API for ProxyServer service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type ProxyServerClient interface {
	// 获取房间代理网络
	UseProxy(ctx context.Context, in *UseProxyReq, opts ...grpc.CallOption) (*UseProxyResp, error)
	// 获取房间所在的节点
	GetRoomNode(ctx context.Context, in *GetRoomNodeReq, opts ...grpc.CallOption) (*GetRoomNodeResp, error)
}

type proxyServerClient struct {
	cc grpc.ClientConnInterface
}

func NewProxyServerClient(cc grpc.ClientConnInterface) ProxyServerClient {
	return &proxyServerClient{cc}
}

func (c *proxyServerClient) UseProxy(ctx context.Context, in *UseProxyReq, opts ...grpc.CallOption) (*UseProxyResp, error) {
	out := new(UseProxyResp)
	err := c.cc.Invoke(ctx, "/proxy.v1.ProxyServer/UseProxy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *proxyServerClient) GetRoomNode(ctx context.Context, in *GetRoomNodeReq, opts ...grpc.CallOption) (*GetRoomNodeResp, error) {
	out := new(GetRoomNodeResp)
	err := c.cc.Invoke(ctx, "/proxy.v1.ProxyServer/GetRoomNode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ProxyServerServer is the server API for ProxyServer service.
// All implementations must embed UnimplementedProxyServerServer
// for forward compatibility
type ProxyServerServer interface {
	// 获取房间代理网络
	UseProxy(context.Context, *UseProxyReq) (*UseProxyResp, error)
	// 获取房间所在的节点
	GetRoomNode(context.Context, *GetRoomNodeReq) (*GetRoomNodeResp, error)
	mustEmbedUnimplementedProxyServerServer()
}

// UnimplementedProxyServerServer must be embedded to have forward compatible implementations.
type UnimplementedProxyServerServer struct {
}

func (UnimplementedProxyServerServer) UseProxy(context.Context, *UseProxyReq) (*UseProxyResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UseProxy not implemented")
}
func (UnimplementedProxyServerServer) GetRoomNode(context.Context, *GetRoomNodeReq) (*GetRoomNodeResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetRoomNode not implemented")
}
func (UnimplementedProxyServerServer) mustEmbedUnimplementedProxyServerServer() {}

// UnsafeProxyServerServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to ProxyServerServer will
// result in compilation errors.
type UnsafeProxyServerServer interface {
	mustEmbedUnimplementedProxyServerServer()
}

func RegisterProxyServerServer(s grpc.ServiceRegistrar, srv ProxyServerServer) {
	s.RegisterService(&ProxyServer_ServiceDesc, srv)
}

func _ProxyServer_UseProxy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UseProxyReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProxyServerServer).UseProxy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proxy.v1.ProxyServer/UseProxy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProxyServerServer).UseProxy(ctx, req.(*UseProxyReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProxyServer_GetRoomNode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRoomNodeReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProxyServerServer).GetRoomNode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proxy.v1.ProxyServer/GetRoomNode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProxyServerServer).GetRoomNode(ctx, req.(*GetRoomNodeReq))
	}
	return interceptor(ctx, in, info, handler)
}

// ProxyServer_ServiceDesc is the grpc.ServiceDesc for ProxyServer service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var ProxyServer_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "proxy.v1.ProxyServer",
	HandlerType: (*ProxyServerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UseProxy",
			Handler:    _ProxyServer_UseProxy_Handler,
		},
		{
			MethodName: "GetRoomNode",
			Handler:    _ProxyServer_GetRoomNode_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proxy/v1/proxy.proto",
}
