// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: user/v1/user.proto

package userV1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// UserClient is the client API for User service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type UserClient interface {
	// 创建个人资料
	CreateUserProfile(ctx context.Context, in *CreateUserProfileReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 更新个人资料
	UpdateUserProfile(ctx context.Context, in *UpdateUserProfileReq, opts ...grpc.CallOption) (*UpdateUserProfileResp, error)
	// 查询用户资料
	QueryUserProfile(ctx context.Context, in *QueryUserProfileReq, opts ...grpc.CallOption) (*QueryUserProfileResp, error)
	// 检查用户名称
	CheckUserName(ctx context.Context, in *CheckUserNameReq, opts ...grpc.CallOption) (*CheckUserNameResp, error)
	// 查询用户根据用户id列表
	QueryUserProfileByUidList(ctx context.Context, in *QueryUserProfileByUidListReq, opts ...grpc.CallOption) (*QueryUserProfileByUidListResp, error)
	// 查询用户总数
	QueryUserProfileTotal(ctx context.Context, in *QueryUserProfileReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error)
	// 查询封禁用户
	QueryBannedUser(ctx context.Context, in *QueryBannedUserReq, opts ...grpc.CallOption) (*QueryBannedUserResp, error)
	// 封禁用户
	BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*BannedUserResp, error)
	// 解封用户
	RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 注销用户
	CancelUser(ctx context.Context, in *CancelUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 关注用户
	FollowUser(ctx context.Context, in *FollowUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 取消关注用户
	CancelFollowUser(ctx context.Context, in *CancelFollowUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查看已关注
	QueryFollowUser(ctx context.Context, in *QueryFollowUserReq, opts ...grpc.CallOption) (*QueryFollowUserResp, error)
	// 查看粉丝
	QueryFans(ctx context.Context, in *QueryFansReq, opts ...grpc.CallOption) (*QueryFansResp, error)
	// 查看朋友列表
	QueryFriend(ctx context.Context, in *QueryFriendReq, opts ...grpc.CallOption) (*QueryFriendResp, error)
	// 访问用户主页
	CreateAccessUserRecord(ctx context.Context, in *CreateAccessUserRecordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查看访客列表
	QueryAccessUserDetail(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryAccessUserDetailResp, error)
	// 查看访问列表明细
	QueryAccess(ctx context.Context, in *QueryAccessReq, opts ...grpc.CallOption) (*QueryAccessResp, error)
	// 查看访客列表
	QueryAccessUser(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryAccessUserResp, error)
	// 查看已关注总数
	QueryFollowUserTotal(ctx context.Context, in *QueryFollowUserReq, opts ...grpc.CallOption) (*QueryTotalResp, error)
	// 查看粉丝总数
	QueryFansTotal(ctx context.Context, in *QueryFansReq, opts ...grpc.CallOption) (*QueryTotalResp, error)
	// 查看朋友列表
	QueryFriendTotal(ctx context.Context, in *QueryFriendReq, opts ...grpc.CallOption) (*QueryTotalResp, error)
	// 查看访客总数
	QueryAccessUserTotal(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryTotalResp, error)
	// 创建用户等级配置
	CreateLevelConfig(ctx context.Context, in *CreateLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 更新用户等级配置
	UpdateLevelConfig(ctx context.Context, in *UpdateLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户等级配置
	QueryLevelConfig(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryLevelConfigResp, error)
	// 查询用户等级配置总数
	QueryLevelConfigTotal(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.QueryTotalResp, error)
	// 用户实名
	CreateUserRealName(ctx context.Context, in *CreateUserRealNameReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户实名信息
	QueryUserRealName(ctx context.Context, in *QueryUserRealNameReq, opts ...grpc.CallOption) (*QueryUserRealNameResp, error)
	// 查询用户实名信息总数
	QueryUserRealNameTotal(ctx context.Context, in *QueryUserRealNameTotalReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error)
	// 申请人脸识别
	CreateFaceRecognition(ctx context.Context, in *CreateFaceRecognitionReq, opts ...grpc.CallOption) (*CreateFaceRecognitionResp, error)
	// 人脸识别回调
	FaceRecognitionCallback(ctx context.Context, in *FaceRecognitionCallbackReq, opts ...grpc.CallOption) (*FaceRecognitionCallbackResp, error)
	// 创建用户魅力等级配置
	CreateCharmLevelConfig(ctx context.Context, in *CreateCharmLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 更新用户魅力等级配置
	UpdateCharmLevelConfig(ctx context.Context, in *UpdateCharmLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户魅力等级配置
	QueryCharmLevelConfig(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryCharmLevelConfigResp, error)
	// 查询用户等级配置总数
	QueryCharmLevelConfigTotal(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.QueryTotalResp, error)
	// 查询用户统计数据
	QueryUserStatistics(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryUserStatisticsResp, error)
	// 移除用户新人资格
	DeleteUserNewcomersGuide(ctx context.Context, in *DeleteUserNewcomersGuideReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 移除用户体验购买资格
	DeleteUserExperientialPurchase(ctx context.Context, in *DeleteUserExperientialPurchaseReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 完成装扮商城的指南
	FinishDressUpMallGuide(ctx context.Context, in *FinishDressUpMallGuideReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 完成装扮商城的指南
	FinishDressUpWarehouseGuide(ctx context.Context, in *FinishDressUpWarehouseGuideReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 完成房间的指南
	FinishRoomGuide(ctx context.Context, in *FinishRoomGuideReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 更新关注好友的备注
	UpdateFollowRemarksName(ctx context.Context, in *UpdateFollowRemarksNameReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 显示中奖信息
	ShowWinningLottery(ctx context.Context, in *ShoWinningLotteryReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户真实信息记录
	QueryUserRealDataRecord(ctx context.Context, in *QueryUserRealDataRecordReq, opts ...grpc.CallOption) (*QueryUserRealDataRecordResp, error)
	// 拉黑
	PullBlack(ctx context.Context, in *PullBlackReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询黑名单
	QueryBlackList(ctx context.Context, in *QueryBlackListReq, opts ...grpc.CallOption) (*QueryBlackListResp, error)
	// 查询黑名单总数
	QueryBlackListTotal(ctx context.Context, in *QueryBlackListReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error)
	// 移出黑名单
	DeleteBlackList(ctx context.Context, in *DeleteBlackListReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 完成新人引导
	FinishNewPerson(ctx context.Context, in *FinishNewPersonReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 获取在线新人用户
	QueryOnlineNewcomerList(ctx context.Context, in *QueryOnlineNewcomerListReq, opts ...grpc.CallOption) (*QueryOnlineNewcomerListResp, error)
}

type userClient struct {
	cc grpc.ClientConnInterface
}

func NewUserClient(cc grpc.ClientConnInterface) UserClient {
	return &userClient{cc}
}

func (c *userClient) CreateUserProfile(ctx context.Context, in *CreateUserProfileReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateUserProfile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) UpdateUserProfile(ctx context.Context, in *UpdateUserProfileReq, opts ...grpc.CallOption) (*UpdateUserProfileResp, error) {
	out := new(UpdateUserProfileResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/UpdateUserProfile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserProfile(ctx context.Context, in *QueryUserProfileReq, opts ...grpc.CallOption) (*QueryUserProfileResp, error) {
	out := new(QueryUserProfileResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserProfile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CheckUserName(ctx context.Context, in *CheckUserNameReq, opts ...grpc.CallOption) (*CheckUserNameResp, error) {
	out := new(CheckUserNameResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/CheckUserName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserProfileByUidList(ctx context.Context, in *QueryUserProfileByUidListReq, opts ...grpc.CallOption) (*QueryUserProfileByUidListResp, error) {
	out := new(QueryUserProfileByUidListResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserProfileByUidList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserProfileTotal(ctx context.Context, in *QueryUserProfileReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error) {
	out := new(common.QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserProfileTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryBannedUser(ctx context.Context, in *QueryBannedUserReq, opts ...grpc.CallOption) (*QueryBannedUserResp, error) {
	out := new(QueryBannedUserResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryBannedUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*BannedUserResp, error) {
	out := new(BannedUserResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/BannedUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/RecoverUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CancelUser(ctx context.Context, in *CancelUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CancelUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FollowUser(ctx context.Context, in *FollowUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/FollowUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CancelFollowUser(ctx context.Context, in *CancelFollowUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CancelFollowUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFollowUser(ctx context.Context, in *QueryFollowUserReq, opts ...grpc.CallOption) (*QueryFollowUserResp, error) {
	out := new(QueryFollowUserResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFollowUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFans(ctx context.Context, in *QueryFansReq, opts ...grpc.CallOption) (*QueryFansResp, error) {
	out := new(QueryFansResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFans", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFriend(ctx context.Context, in *QueryFriendReq, opts ...grpc.CallOption) (*QueryFriendResp, error) {
	out := new(QueryFriendResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFriend", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CreateAccessUserRecord(ctx context.Context, in *CreateAccessUserRecordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateAccessUserRecord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryAccessUserDetail(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryAccessUserDetailResp, error) {
	out := new(QueryAccessUserDetailResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryAccessUserDetail", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryAccess(ctx context.Context, in *QueryAccessReq, opts ...grpc.CallOption) (*QueryAccessResp, error) {
	out := new(QueryAccessResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryAccess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryAccessUser(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryAccessUserResp, error) {
	out := new(QueryAccessUserResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryAccessUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFollowUserTotal(ctx context.Context, in *QueryFollowUserReq, opts ...grpc.CallOption) (*QueryTotalResp, error) {
	out := new(QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFollowUserTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFansTotal(ctx context.Context, in *QueryFansReq, opts ...grpc.CallOption) (*QueryTotalResp, error) {
	out := new(QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFansTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryFriendTotal(ctx context.Context, in *QueryFriendReq, opts ...grpc.CallOption) (*QueryTotalResp, error) {
	out := new(QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryFriendTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryAccessUserTotal(ctx context.Context, in *QueryAccessUserReq, opts ...grpc.CallOption) (*QueryTotalResp, error) {
	out := new(QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryAccessUserTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CreateLevelConfig(ctx context.Context, in *CreateLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) UpdateLevelConfig(ctx context.Context, in *UpdateLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/UpdateLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryLevelConfig(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryLevelConfigResp, error) {
	out := new(QueryLevelConfigResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryLevelConfigTotal(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.QueryTotalResp, error) {
	out := new(common.QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryLevelConfigTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CreateUserRealName(ctx context.Context, in *CreateUserRealNameReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateUserRealName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserRealName(ctx context.Context, in *QueryUserRealNameReq, opts ...grpc.CallOption) (*QueryUserRealNameResp, error) {
	out := new(QueryUserRealNameResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserRealName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserRealNameTotal(ctx context.Context, in *QueryUserRealNameTotalReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error) {
	out := new(common.QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserRealNameTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CreateFaceRecognition(ctx context.Context, in *CreateFaceRecognitionReq, opts ...grpc.CallOption) (*CreateFaceRecognitionResp, error) {
	out := new(CreateFaceRecognitionResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateFaceRecognition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FaceRecognitionCallback(ctx context.Context, in *FaceRecognitionCallbackReq, opts ...grpc.CallOption) (*FaceRecognitionCallbackResp, error) {
	out := new(FaceRecognitionCallbackResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/FaceRecognitionCallback", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) CreateCharmLevelConfig(ctx context.Context, in *CreateCharmLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/CreateCharmLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) UpdateCharmLevelConfig(ctx context.Context, in *UpdateCharmLevelConfigReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/UpdateCharmLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryCharmLevelConfig(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryCharmLevelConfigResp, error) {
	out := new(QueryCharmLevelConfigResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryCharmLevelConfig", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryCharmLevelConfigTotal(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*common.QueryTotalResp, error) {
	out := new(common.QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryCharmLevelConfigTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserStatistics(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*QueryUserStatisticsResp, error) {
	out := new(QueryUserStatisticsResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserStatistics", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) DeleteUserNewcomersGuide(ctx context.Context, in *DeleteUserNewcomersGuideReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/DeleteUserNewcomersGuide", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) DeleteUserExperientialPurchase(ctx context.Context, in *DeleteUserExperientialPurchaseReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/DeleteUserExperientialPurchase", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FinishDressUpMallGuide(ctx context.Context, in *FinishDressUpMallGuideReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/FinishDressUpMallGuide", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FinishDressUpWarehouseGuide(ctx context.Context, in *FinishDressUpWarehouseGuideReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/FinishDressUpWarehouseGuide", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FinishRoomGuide(ctx context.Context, in *FinishRoomGuideReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/FinishRoomGuide", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) UpdateFollowRemarksName(ctx context.Context, in *UpdateFollowRemarksNameReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/UpdateFollowRemarksName", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) ShowWinningLottery(ctx context.Context, in *ShoWinningLotteryReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/ShowWinningLottery", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryUserRealDataRecord(ctx context.Context, in *QueryUserRealDataRecordReq, opts ...grpc.CallOption) (*QueryUserRealDataRecordResp, error) {
	out := new(QueryUserRealDataRecordResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryUserRealDataRecord", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) PullBlack(ctx context.Context, in *PullBlackReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/PullBlack", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryBlackList(ctx context.Context, in *QueryBlackListReq, opts ...grpc.CallOption) (*QueryBlackListResp, error) {
	out := new(QueryBlackListResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryBlackList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryBlackListTotal(ctx context.Context, in *QueryBlackListReq, opts ...grpc.CallOption) (*common.QueryTotalResp, error) {
	out := new(common.QueryTotalResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryBlackListTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) DeleteBlackList(ctx context.Context, in *DeleteBlackListReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/DeleteBlackList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) FinishNewPerson(ctx context.Context, in *FinishNewPersonReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user.v1.User/FinishNewPerson", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userClient) QueryOnlineNewcomerList(ctx context.Context, in *QueryOnlineNewcomerListReq, opts ...grpc.CallOption) (*QueryOnlineNewcomerListResp, error) {
	out := new(QueryOnlineNewcomerListResp)
	err := c.cc.Invoke(ctx, "/user.v1.User/QueryOnlineNewcomerList", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UserServer is the server API for User service.
// All implementations must embed UnimplementedUserServer
// for forward compatibility
type UserServer interface {
	// 创建个人资料
	CreateUserProfile(context.Context, *CreateUserProfileReq) (*common.Empty, error)
	// 更新个人资料
	UpdateUserProfile(context.Context, *UpdateUserProfileReq) (*UpdateUserProfileResp, error)
	// 查询用户资料
	QueryUserProfile(context.Context, *QueryUserProfileReq) (*QueryUserProfileResp, error)
	// 检查用户名称
	CheckUserName(context.Context, *CheckUserNameReq) (*CheckUserNameResp, error)
	// 查询用户根据用户id列表
	QueryUserProfileByUidList(context.Context, *QueryUserProfileByUidListReq) (*QueryUserProfileByUidListResp, error)
	// 查询用户总数
	QueryUserProfileTotal(context.Context, *QueryUserProfileReq) (*common.QueryTotalResp, error)
	// 查询封禁用户
	QueryBannedUser(context.Context, *QueryBannedUserReq) (*QueryBannedUserResp, error)
	// 封禁用户
	BannedUser(context.Context, *BannedUserReq) (*BannedUserResp, error)
	// 解封用户
	RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error)
	// 注销用户
	CancelUser(context.Context, *CancelUserReq) (*common.Empty, error)
	// 关注用户
	FollowUser(context.Context, *FollowUserReq) (*common.Empty, error)
	// 取消关注用户
	CancelFollowUser(context.Context, *CancelFollowUserReq) (*common.Empty, error)
	// 查看已关注
	QueryFollowUser(context.Context, *QueryFollowUserReq) (*QueryFollowUserResp, error)
	// 查看粉丝
	QueryFans(context.Context, *QueryFansReq) (*QueryFansResp, error)
	// 查看朋友列表
	QueryFriend(context.Context, *QueryFriendReq) (*QueryFriendResp, error)
	// 访问用户主页
	CreateAccessUserRecord(context.Context, *CreateAccessUserRecordReq) (*common.Empty, error)
	// 查看访客列表
	QueryAccessUserDetail(context.Context, *QueryAccessUserReq) (*QueryAccessUserDetailResp, error)
	// 查看访问列表明细
	QueryAccess(context.Context, *QueryAccessReq) (*QueryAccessResp, error)
	// 查看访客列表
	QueryAccessUser(context.Context, *QueryAccessUserReq) (*QueryAccessUserResp, error)
	// 查看已关注总数
	QueryFollowUserTotal(context.Context, *QueryFollowUserReq) (*QueryTotalResp, error)
	// 查看粉丝总数
	QueryFansTotal(context.Context, *QueryFansReq) (*QueryTotalResp, error)
	// 查看朋友列表
	QueryFriendTotal(context.Context, *QueryFriendReq) (*QueryTotalResp, error)
	// 查看访客总数
	QueryAccessUserTotal(context.Context, *QueryAccessUserReq) (*QueryTotalResp, error)
	// 创建用户等级配置
	CreateLevelConfig(context.Context, *CreateLevelConfigReq) (*common.Empty, error)
	// 更新用户等级配置
	UpdateLevelConfig(context.Context, *UpdateLevelConfigReq) (*common.Empty, error)
	// 查询用户等级配置
	QueryLevelConfig(context.Context, *common.Empty) (*QueryLevelConfigResp, error)
	// 查询用户等级配置总数
	QueryLevelConfigTotal(context.Context, *common.Empty) (*common.QueryTotalResp, error)
	// 用户实名
	CreateUserRealName(context.Context, *CreateUserRealNameReq) (*common.Empty, error)
	// 查询用户实名信息
	QueryUserRealName(context.Context, *QueryUserRealNameReq) (*QueryUserRealNameResp, error)
	// 查询用户实名信息总数
	QueryUserRealNameTotal(context.Context, *QueryUserRealNameTotalReq) (*common.QueryTotalResp, error)
	// 申请人脸识别
	CreateFaceRecognition(context.Context, *CreateFaceRecognitionReq) (*CreateFaceRecognitionResp, error)
	// 人脸识别回调
	FaceRecognitionCallback(context.Context, *FaceRecognitionCallbackReq) (*FaceRecognitionCallbackResp, error)
	// 创建用户魅力等级配置
	CreateCharmLevelConfig(context.Context, *CreateCharmLevelConfigReq) (*common.Empty, error)
	// 更新用户魅力等级配置
	UpdateCharmLevelConfig(context.Context, *UpdateCharmLevelConfigReq) (*common.Empty, error)
	// 查询用户魅力等级配置
	QueryCharmLevelConfig(context.Context, *common.Empty) (*QueryCharmLevelConfigResp, error)
	// 查询用户等级配置总数
	QueryCharmLevelConfigTotal(context.Context, *common.Empty) (*common.QueryTotalResp, error)
	// 查询用户统计数据
	QueryUserStatistics(context.Context, *common.Empty) (*QueryUserStatisticsResp, error)
	// 移除用户新人资格
	DeleteUserNewcomersGuide(context.Context, *DeleteUserNewcomersGuideReq) (*common.Empty, error)
	// 移除用户体验购买资格
	DeleteUserExperientialPurchase(context.Context, *DeleteUserExperientialPurchaseReq) (*common.Empty, error)
	// 完成装扮商城的指南
	FinishDressUpMallGuide(context.Context, *FinishDressUpMallGuideReq) (*common.Empty, error)
	// 完成装扮商城的指南
	FinishDressUpWarehouseGuide(context.Context, *FinishDressUpWarehouseGuideReq) (*common.Empty, error)
	// 完成房间的指南
	FinishRoomGuide(context.Context, *FinishRoomGuideReq) (*common.Empty, error)
	// 更新关注好友的备注
	UpdateFollowRemarksName(context.Context, *UpdateFollowRemarksNameReq) (*common.Empty, error)
	// 显示中奖信息
	ShowWinningLottery(context.Context, *ShoWinningLotteryReq) (*common.Empty, error)
	// 查询用户真实信息记录
	QueryUserRealDataRecord(context.Context, *QueryUserRealDataRecordReq) (*QueryUserRealDataRecordResp, error)
	// 拉黑
	PullBlack(context.Context, *PullBlackReq) (*common.Empty, error)
	// 查询黑名单
	QueryBlackList(context.Context, *QueryBlackListReq) (*QueryBlackListResp, error)
	// 查询黑名单总数
	QueryBlackListTotal(context.Context, *QueryBlackListReq) (*common.QueryTotalResp, error)
	// 移出黑名单
	DeleteBlackList(context.Context, *DeleteBlackListReq) (*common.Empty, error)
	// 完成新人引导
	FinishNewPerson(context.Context, *FinishNewPersonReq) (*common.Empty, error)
	// 获取在线新人用户
	QueryOnlineNewcomerList(context.Context, *QueryOnlineNewcomerListReq) (*QueryOnlineNewcomerListResp, error)
	mustEmbedUnimplementedUserServer()
}

// UnimplementedUserServer must be embedded to have forward compatible implementations.
type UnimplementedUserServer struct {
}

func (UnimplementedUserServer) CreateUserProfile(context.Context, *CreateUserProfileReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateUserProfile not implemented")
}
func (UnimplementedUserServer) UpdateUserProfile(context.Context, *UpdateUserProfileReq) (*UpdateUserProfileResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUserProfile not implemented")
}
func (UnimplementedUserServer) QueryUserProfile(context.Context, *QueryUserProfileReq) (*QueryUserProfileResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserProfile not implemented")
}
func (UnimplementedUserServer) CheckUserName(context.Context, *CheckUserNameReq) (*CheckUserNameResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CheckUserName not implemented")
}
func (UnimplementedUserServer) QueryUserProfileByUidList(context.Context, *QueryUserProfileByUidListReq) (*QueryUserProfileByUidListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserProfileByUidList not implemented")
}
func (UnimplementedUserServer) QueryUserProfileTotal(context.Context, *QueryUserProfileReq) (*common.QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserProfileTotal not implemented")
}
func (UnimplementedUserServer) QueryBannedUser(context.Context, *QueryBannedUserReq) (*QueryBannedUserResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBannedUser not implemented")
}
func (UnimplementedUserServer) BannedUser(context.Context, *BannedUserReq) (*BannedUserResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BannedUser not implemented")
}
func (UnimplementedUserServer) RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RecoverUser not implemented")
}
func (UnimplementedUserServer) CancelUser(context.Context, *CancelUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelUser not implemented")
}
func (UnimplementedUserServer) FollowUser(context.Context, *FollowUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FollowUser not implemented")
}
func (UnimplementedUserServer) CancelFollowUser(context.Context, *CancelFollowUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelFollowUser not implemented")
}
func (UnimplementedUserServer) QueryFollowUser(context.Context, *QueryFollowUserReq) (*QueryFollowUserResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFollowUser not implemented")
}
func (UnimplementedUserServer) QueryFans(context.Context, *QueryFansReq) (*QueryFansResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFans not implemented")
}
func (UnimplementedUserServer) QueryFriend(context.Context, *QueryFriendReq) (*QueryFriendResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFriend not implemented")
}
func (UnimplementedUserServer) CreateAccessUserRecord(context.Context, *CreateAccessUserRecordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateAccessUserRecord not implemented")
}
func (UnimplementedUserServer) QueryAccessUserDetail(context.Context, *QueryAccessUserReq) (*QueryAccessUserDetailResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAccessUserDetail not implemented")
}
func (UnimplementedUserServer) QueryAccess(context.Context, *QueryAccessReq) (*QueryAccessResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAccess not implemented")
}
func (UnimplementedUserServer) QueryAccessUser(context.Context, *QueryAccessUserReq) (*QueryAccessUserResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAccessUser not implemented")
}
func (UnimplementedUserServer) QueryFollowUserTotal(context.Context, *QueryFollowUserReq) (*QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFollowUserTotal not implemented")
}
func (UnimplementedUserServer) QueryFansTotal(context.Context, *QueryFansReq) (*QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFansTotal not implemented")
}
func (UnimplementedUserServer) QueryFriendTotal(context.Context, *QueryFriendReq) (*QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryFriendTotal not implemented")
}
func (UnimplementedUserServer) QueryAccessUserTotal(context.Context, *QueryAccessUserReq) (*QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryAccessUserTotal not implemented")
}
func (UnimplementedUserServer) CreateLevelConfig(context.Context, *CreateLevelConfigReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateLevelConfig not implemented")
}
func (UnimplementedUserServer) UpdateLevelConfig(context.Context, *UpdateLevelConfigReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateLevelConfig not implemented")
}
func (UnimplementedUserServer) QueryLevelConfig(context.Context, *common.Empty) (*QueryLevelConfigResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryLevelConfig not implemented")
}
func (UnimplementedUserServer) QueryLevelConfigTotal(context.Context, *common.Empty) (*common.QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryLevelConfigTotal not implemented")
}
func (UnimplementedUserServer) CreateUserRealName(context.Context, *CreateUserRealNameReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateUserRealName not implemented")
}
func (UnimplementedUserServer) QueryUserRealName(context.Context, *QueryUserRealNameReq) (*QueryUserRealNameResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserRealName not implemented")
}
func (UnimplementedUserServer) QueryUserRealNameTotal(context.Context, *QueryUserRealNameTotalReq) (*common.QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserRealNameTotal not implemented")
}
func (UnimplementedUserServer) CreateFaceRecognition(context.Context, *CreateFaceRecognitionReq) (*CreateFaceRecognitionResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateFaceRecognition not implemented")
}
func (UnimplementedUserServer) FaceRecognitionCallback(context.Context, *FaceRecognitionCallbackReq) (*FaceRecognitionCallbackResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FaceRecognitionCallback not implemented")
}
func (UnimplementedUserServer) CreateCharmLevelConfig(context.Context, *CreateCharmLevelConfigReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateCharmLevelConfig not implemented")
}
func (UnimplementedUserServer) UpdateCharmLevelConfig(context.Context, *UpdateCharmLevelConfigReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateCharmLevelConfig not implemented")
}
func (UnimplementedUserServer) QueryCharmLevelConfig(context.Context, *common.Empty) (*QueryCharmLevelConfigResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryCharmLevelConfig not implemented")
}
func (UnimplementedUserServer) QueryCharmLevelConfigTotal(context.Context, *common.Empty) (*common.QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryCharmLevelConfigTotal not implemented")
}
func (UnimplementedUserServer) QueryUserStatistics(context.Context, *common.Empty) (*QueryUserStatisticsResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserStatistics not implemented")
}
func (UnimplementedUserServer) DeleteUserNewcomersGuide(context.Context, *DeleteUserNewcomersGuideReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteUserNewcomersGuide not implemented")
}
func (UnimplementedUserServer) DeleteUserExperientialPurchase(context.Context, *DeleteUserExperientialPurchaseReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteUserExperientialPurchase not implemented")
}
func (UnimplementedUserServer) FinishDressUpMallGuide(context.Context, *FinishDressUpMallGuideReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FinishDressUpMallGuide not implemented")
}
func (UnimplementedUserServer) FinishDressUpWarehouseGuide(context.Context, *FinishDressUpWarehouseGuideReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FinishDressUpWarehouseGuide not implemented")
}
func (UnimplementedUserServer) FinishRoomGuide(context.Context, *FinishRoomGuideReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FinishRoomGuide not implemented")
}
func (UnimplementedUserServer) UpdateFollowRemarksName(context.Context, *UpdateFollowRemarksNameReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateFollowRemarksName not implemented")
}
func (UnimplementedUserServer) ShowWinningLottery(context.Context, *ShoWinningLotteryReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ShowWinningLottery not implemented")
}
func (UnimplementedUserServer) QueryUserRealDataRecord(context.Context, *QueryUserRealDataRecordReq) (*QueryUserRealDataRecordResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserRealDataRecord not implemented")
}
func (UnimplementedUserServer) PullBlack(context.Context, *PullBlackReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PullBlack not implemented")
}
func (UnimplementedUserServer) QueryBlackList(context.Context, *QueryBlackListReq) (*QueryBlackListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBlackList not implemented")
}
func (UnimplementedUserServer) QueryBlackListTotal(context.Context, *QueryBlackListReq) (*common.QueryTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBlackListTotal not implemented")
}
func (UnimplementedUserServer) DeleteBlackList(context.Context, *DeleteBlackListReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteBlackList not implemented")
}
func (UnimplementedUserServer) FinishNewPerson(context.Context, *FinishNewPersonReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FinishNewPerson not implemented")
}
func (UnimplementedUserServer) QueryOnlineNewcomerList(context.Context, *QueryOnlineNewcomerListReq) (*QueryOnlineNewcomerListResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryOnlineNewcomerList not implemented")
}
func (UnimplementedUserServer) mustEmbedUnimplementedUserServer() {}

// UnsafeUserServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to UserServer will
// result in compilation errors.
type UnsafeUserServer interface {
	mustEmbedUnimplementedUserServer()
}

func RegisterUserServer(s grpc.ServiceRegistrar, srv UserServer) {
	s.RegisterService(&User_ServiceDesc, srv)
}

func _User_CreateUserProfile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateUserProfileReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateUserProfile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateUserProfile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateUserProfile(ctx, req.(*CreateUserProfileReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_UpdateUserProfile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserProfileReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).UpdateUserProfile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/UpdateUserProfile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).UpdateUserProfile(ctx, req.(*UpdateUserProfileReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserProfile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserProfileReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserProfile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserProfile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserProfile(ctx, req.(*QueryUserProfileReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CheckUserName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckUserNameReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CheckUserName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CheckUserName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CheckUserName(ctx, req.(*CheckUserNameReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserProfileByUidList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserProfileByUidListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserProfileByUidList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserProfileByUidList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserProfileByUidList(ctx, req.(*QueryUserProfileByUidListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserProfileTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserProfileReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserProfileTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserProfileTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserProfileTotal(ctx, req.(*QueryUserProfileReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryBannedUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryBannedUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryBannedUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryBannedUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryBannedUser(ctx, req.(*QueryBannedUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_BannedUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BannedUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).BannedUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/BannedUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).BannedUser(ctx, req.(*BannedUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_RecoverUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecoverUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).RecoverUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/RecoverUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).RecoverUser(ctx, req.(*RecoverUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CancelUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CancelUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CancelUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CancelUser(ctx, req.(*CancelUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FollowUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FollowUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FollowUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FollowUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FollowUser(ctx, req.(*FollowUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CancelFollowUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelFollowUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CancelFollowUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CancelFollowUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CancelFollowUser(ctx, req.(*CancelFollowUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFollowUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFollowUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFollowUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFollowUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFollowUser(ctx, req.(*QueryFollowUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFans_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFansReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFans(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFans",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFans(ctx, req.(*QueryFansReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFriend_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFriendReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFriend(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFriend",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFriend(ctx, req.(*QueryFriendReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CreateAccessUserRecord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateAccessUserRecordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateAccessUserRecord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateAccessUserRecord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateAccessUserRecord(ctx, req.(*CreateAccessUserRecordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryAccessUserDetail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAccessUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryAccessUserDetail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryAccessUserDetail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryAccessUserDetail(ctx, req.(*QueryAccessUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryAccess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAccessReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryAccess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryAccess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryAccess(ctx, req.(*QueryAccessReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryAccessUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAccessUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryAccessUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryAccessUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryAccessUser(ctx, req.(*QueryAccessUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFollowUserTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFollowUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFollowUserTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFollowUserTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFollowUserTotal(ctx, req.(*QueryFollowUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFansTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFansReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFansTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFansTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFansTotal(ctx, req.(*QueryFansReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryFriendTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryFriendReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryFriendTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryFriendTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryFriendTotal(ctx, req.(*QueryFriendReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryAccessUserTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryAccessUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryAccessUserTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryAccessUserTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryAccessUserTotal(ctx, req.(*QueryAccessUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CreateLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateLevelConfigReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateLevelConfig(ctx, req.(*CreateLevelConfigReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_UpdateLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateLevelConfigReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).UpdateLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/UpdateLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).UpdateLevelConfig(ctx, req.(*UpdateLevelConfigReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryLevelConfig(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryLevelConfigTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryLevelConfigTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryLevelConfigTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryLevelConfigTotal(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CreateUserRealName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateUserRealNameReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateUserRealName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateUserRealName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateUserRealName(ctx, req.(*CreateUserRealNameReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserRealName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserRealNameReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserRealName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserRealName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserRealName(ctx, req.(*QueryUserRealNameReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserRealNameTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserRealNameTotalReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserRealNameTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserRealNameTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserRealNameTotal(ctx, req.(*QueryUserRealNameTotalReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CreateFaceRecognition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateFaceRecognitionReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateFaceRecognition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateFaceRecognition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateFaceRecognition(ctx, req.(*CreateFaceRecognitionReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FaceRecognitionCallback_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FaceRecognitionCallbackReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FaceRecognitionCallback(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FaceRecognitionCallback",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FaceRecognitionCallback(ctx, req.(*FaceRecognitionCallbackReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_CreateCharmLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateCharmLevelConfigReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).CreateCharmLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/CreateCharmLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).CreateCharmLevelConfig(ctx, req.(*CreateCharmLevelConfigReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_UpdateCharmLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateCharmLevelConfigReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).UpdateCharmLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/UpdateCharmLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).UpdateCharmLevelConfig(ctx, req.(*UpdateCharmLevelConfigReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryCharmLevelConfig_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryCharmLevelConfig(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryCharmLevelConfig",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryCharmLevelConfig(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryCharmLevelConfigTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryCharmLevelConfigTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryCharmLevelConfigTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryCharmLevelConfigTotal(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserStatistics_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserStatistics(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserStatistics",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserStatistics(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_DeleteUserNewcomersGuide_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteUserNewcomersGuideReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).DeleteUserNewcomersGuide(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/DeleteUserNewcomersGuide",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).DeleteUserNewcomersGuide(ctx, req.(*DeleteUserNewcomersGuideReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_DeleteUserExperientialPurchase_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteUserExperientialPurchaseReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).DeleteUserExperientialPurchase(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/DeleteUserExperientialPurchase",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).DeleteUserExperientialPurchase(ctx, req.(*DeleteUserExperientialPurchaseReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FinishDressUpMallGuide_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishDressUpMallGuideReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FinishDressUpMallGuide(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FinishDressUpMallGuide",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FinishDressUpMallGuide(ctx, req.(*FinishDressUpMallGuideReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FinishDressUpWarehouseGuide_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishDressUpWarehouseGuideReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FinishDressUpWarehouseGuide(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FinishDressUpWarehouseGuide",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FinishDressUpWarehouseGuide(ctx, req.(*FinishDressUpWarehouseGuideReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FinishRoomGuide_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishRoomGuideReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FinishRoomGuide(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FinishRoomGuide",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FinishRoomGuide(ctx, req.(*FinishRoomGuideReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_UpdateFollowRemarksName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateFollowRemarksNameReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).UpdateFollowRemarksName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/UpdateFollowRemarksName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).UpdateFollowRemarksName(ctx, req.(*UpdateFollowRemarksNameReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_ShowWinningLottery_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ShoWinningLotteryReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).ShowWinningLottery(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/ShowWinningLottery",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).ShowWinningLottery(ctx, req.(*ShoWinningLotteryReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryUserRealDataRecord_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserRealDataRecordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryUserRealDataRecord(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryUserRealDataRecord",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryUserRealDataRecord(ctx, req.(*QueryUserRealDataRecordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_PullBlack_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PullBlackReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).PullBlack(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/PullBlack",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).PullBlack(ctx, req.(*PullBlackReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryBlackList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryBlackListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryBlackList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryBlackList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryBlackList(ctx, req.(*QueryBlackListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryBlackListTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryBlackListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryBlackListTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryBlackListTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryBlackListTotal(ctx, req.(*QueryBlackListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_DeleteBlackList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBlackListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).DeleteBlackList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/DeleteBlackList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).DeleteBlackList(ctx, req.(*DeleteBlackListReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_FinishNewPerson_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishNewPersonReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).FinishNewPerson(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/FinishNewPerson",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).FinishNewPerson(ctx, req.(*FinishNewPersonReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _User_QueryOnlineNewcomerList_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryOnlineNewcomerListReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserServer).QueryOnlineNewcomerList(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user.v1.User/QueryOnlineNewcomerList",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserServer).QueryOnlineNewcomerList(ctx, req.(*QueryOnlineNewcomerListReq))
	}
	return interceptor(ctx, in, info, handler)
}

// User_ServiceDesc is the grpc.ServiceDesc for User service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var User_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "user.v1.User",
	HandlerType: (*UserServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateUserProfile",
			Handler:    _User_CreateUserProfile_Handler,
		},
		{
			MethodName: "UpdateUserProfile",
			Handler:    _User_UpdateUserProfile_Handler,
		},
		{
			MethodName: "QueryUserProfile",
			Handler:    _User_QueryUserProfile_Handler,
		},
		{
			MethodName: "CheckUserName",
			Handler:    _User_CheckUserName_Handler,
		},
		{
			MethodName: "QueryUserProfileByUidList",
			Handler:    _User_QueryUserProfileByUidList_Handler,
		},
		{
			MethodName: "QueryUserProfileTotal",
			Handler:    _User_QueryUserProfileTotal_Handler,
		},
		{
			MethodName: "QueryBannedUser",
			Handler:    _User_QueryBannedUser_Handler,
		},
		{
			MethodName: "BannedUser",
			Handler:    _User_BannedUser_Handler,
		},
		{
			MethodName: "RecoverUser",
			Handler:    _User_RecoverUser_Handler,
		},
		{
			MethodName: "CancelUser",
			Handler:    _User_CancelUser_Handler,
		},
		{
			MethodName: "FollowUser",
			Handler:    _User_FollowUser_Handler,
		},
		{
			MethodName: "CancelFollowUser",
			Handler:    _User_CancelFollowUser_Handler,
		},
		{
			MethodName: "QueryFollowUser",
			Handler:    _User_QueryFollowUser_Handler,
		},
		{
			MethodName: "QueryFans",
			Handler:    _User_QueryFans_Handler,
		},
		{
			MethodName: "QueryFriend",
			Handler:    _User_QueryFriend_Handler,
		},
		{
			MethodName: "CreateAccessUserRecord",
			Handler:    _User_CreateAccessUserRecord_Handler,
		},
		{
			MethodName: "QueryAccessUserDetail",
			Handler:    _User_QueryAccessUserDetail_Handler,
		},
		{
			MethodName: "QueryAccess",
			Handler:    _User_QueryAccess_Handler,
		},
		{
			MethodName: "QueryAccessUser",
			Handler:    _User_QueryAccessUser_Handler,
		},
		{
			MethodName: "QueryFollowUserTotal",
			Handler:    _User_QueryFollowUserTotal_Handler,
		},
		{
			MethodName: "QueryFansTotal",
			Handler:    _User_QueryFansTotal_Handler,
		},
		{
			MethodName: "QueryFriendTotal",
			Handler:    _User_QueryFriendTotal_Handler,
		},
		{
			MethodName: "QueryAccessUserTotal",
			Handler:    _User_QueryAccessUserTotal_Handler,
		},
		{
			MethodName: "CreateLevelConfig",
			Handler:    _User_CreateLevelConfig_Handler,
		},
		{
			MethodName: "UpdateLevelConfig",
			Handler:    _User_UpdateLevelConfig_Handler,
		},
		{
			MethodName: "QueryLevelConfig",
			Handler:    _User_QueryLevelConfig_Handler,
		},
		{
			MethodName: "QueryLevelConfigTotal",
			Handler:    _User_QueryLevelConfigTotal_Handler,
		},
		{
			MethodName: "CreateUserRealName",
			Handler:    _User_CreateUserRealName_Handler,
		},
		{
			MethodName: "QueryUserRealName",
			Handler:    _User_QueryUserRealName_Handler,
		},
		{
			MethodName: "QueryUserRealNameTotal",
			Handler:    _User_QueryUserRealNameTotal_Handler,
		},
		{
			MethodName: "CreateFaceRecognition",
			Handler:    _User_CreateFaceRecognition_Handler,
		},
		{
			MethodName: "FaceRecognitionCallback",
			Handler:    _User_FaceRecognitionCallback_Handler,
		},
		{
			MethodName: "CreateCharmLevelConfig",
			Handler:    _User_CreateCharmLevelConfig_Handler,
		},
		{
			MethodName: "UpdateCharmLevelConfig",
			Handler:    _User_UpdateCharmLevelConfig_Handler,
		},
		{
			MethodName: "QueryCharmLevelConfig",
			Handler:    _User_QueryCharmLevelConfig_Handler,
		},
		{
			MethodName: "QueryCharmLevelConfigTotal",
			Handler:    _User_QueryCharmLevelConfigTotal_Handler,
		},
		{
			MethodName: "QueryUserStatistics",
			Handler:    _User_QueryUserStatistics_Handler,
		},
		{
			MethodName: "DeleteUserNewcomersGuide",
			Handler:    _User_DeleteUserNewcomersGuide_Handler,
		},
		{
			MethodName: "DeleteUserExperientialPurchase",
			Handler:    _User_DeleteUserExperientialPurchase_Handler,
		},
		{
			MethodName: "FinishDressUpMallGuide",
			Handler:    _User_FinishDressUpMallGuide_Handler,
		},
		{
			MethodName: "FinishDressUpWarehouseGuide",
			Handler:    _User_FinishDressUpWarehouseGuide_Handler,
		},
		{
			MethodName: "FinishRoomGuide",
			Handler:    _User_FinishRoomGuide_Handler,
		},
		{
			MethodName: "UpdateFollowRemarksName",
			Handler:    _User_UpdateFollowRemarksName_Handler,
		},
		{
			MethodName: "ShowWinningLottery",
			Handler:    _User_ShowWinningLottery_Handler,
		},
		{
			MethodName: "QueryUserRealDataRecord",
			Handler:    _User_QueryUserRealDataRecord_Handler,
		},
		{
			MethodName: "PullBlack",
			Handler:    _User_PullBlack_Handler,
		},
		{
			MethodName: "QueryBlackList",
			Handler:    _User_QueryBlackList_Handler,
		},
		{
			MethodName: "QueryBlackListTotal",
			Handler:    _User_QueryBlackListTotal_Handler,
		},
		{
			MethodName: "DeleteBlackList",
			Handler:    _User_DeleteBlackList_Handler,
		},
		{
			MethodName: "FinishNewPerson",
			Handler:    _User_FinishNewPerson_Handler,
		},
		{
			MethodName: "QueryOnlineNewcomerList",
			Handler:    _User_QueryOnlineNewcomerList_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "user/v1/user.proto",
}
