// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.5
// source: user_auth/v1/user_auth.proto

package v1

import (
	context "context"
	common "git.gz.internal.jumaiyx.cn/jm/jmproto/common"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// UserAuthClient is the client API for UserAuth service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type UserAuthClient interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 使用QQ登录
	LoginUseThirdPartyQQ(ctx context.Context, in *LoginUseThirdPartyQQReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyWechatReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用Apple登录
	LoginUseThirdPartyApple(ctx context.Context, in *LoginUseThirdPartyAppleReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error)
	// 使用手机号运营商一键登录
	LoginUsePhoneAuthOneClick(ctx context.Context, in *LoginUsePhoneAuthOneClickReq, opts ...grpc.CallOption) (*LoginResp, error)
	// 登录状态下 绑定QQ
	MyBindQQ(ctx context.Context, in *MyBindQQReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 登录状态下 绑定Apple
	MyBindApple(ctx context.Context, in *MyBindAppleReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 登录状态下 设置密码
	MySetPassword(ctx context.Context, in *MySetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 登录状态下 修改密码
	MyChangePassword(ctx context.Context, in *MyChangePasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 非登录状态 修改密码
	FindPasswordChange(ctx context.Context, in *FindPasswordChangeReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 根据session获取uid，一般用于其他服务判断是否登录使用
	GetUserIDBySession(ctx context.Context, in *GetUserIDBySessionReq, opts ...grpc.CallOption) (*GetUserIDBySessionResp, error)
	// 封禁用户
	BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 解封用户
	RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户隐私
	QueryUserPrivacy(ctx context.Context, in *QueryUserPrivacyReq, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询用户身份
	QueryUserIdentity(ctx context.Context, in *QueryUserIdentityReq, opts ...grpc.CallOption) (*QueryUserIdentityResp, error)
	// 查询用户
	QueryUser(ctx context.Context, in *QueryUserReq, opts ...grpc.CallOption) (*QueryUserResp, error)
	// 查询用户身份总数
	QueryUserIdentityTotal(ctx context.Context, in *QueryUserIdentityTotalReq, opts ...grpc.CallOption) (*QueryUserIdentityTotalResp, error)
	// 查询用户总数
	QueryUserTotal(ctx context.Context, in *QueryUserTotalReq, opts ...grpc.CallOption) (*QueryUserTotalResp, error)
	// 退出登录
	LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 注销账号
	CancelAccount(ctx context.Context, in *CancelAccountReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(ctx context.Context, in *UnbindWechatReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 绑定微信
	BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error)
	// 查询绑定列表
	QueryBind(ctx context.Context, in *QueryBindReq, opts ...grpc.CallOption) (*QueryBindResp, error)
	// 更新用户登录信息
	UpdateUserLoginInfo(ctx context.Context, in *UpdateUserLoginInfoReq, opts ...grpc.CallOption) (*common.Empty, error)
}

type userAuthClient struct {
	cc grpc.ClientConnInterface
}

func NewUserAuthClient(cc grpc.ClientConnInterface) UserAuthClient {
	return &userAuthClient{cc}
}

func (c *userAuthClient) LoginUsePassword(ctx context.Context, in *LoginUsePasswordReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUsePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseSMS(ctx context.Context, in *LoginUseSMSReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUseSMS", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyQQ(ctx context.Context, in *LoginUseThirdPartyQQReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUseThirdPartyQQ", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyWechat(ctx context.Context, in *LoginUseThirdPartyWechatReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUseThirdPartyWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUseThirdPartyApple(ctx context.Context, in *LoginUseThirdPartyAppleReq, opts ...grpc.CallOption) (*ThirdPartyLoginResp, error) {
	out := new(ThirdPartyLoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUseThirdPartyApple", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LoginUsePhoneAuthOneClick(ctx context.Context, in *LoginUsePhoneAuthOneClickReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LoginUsePhoneAuthOneClick", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) MyBindQQ(ctx context.Context, in *MyBindQQReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/MyBindQQ", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) MyBindApple(ctx context.Context, in *MyBindAppleReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/MyBindApple", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) MySetPassword(ctx context.Context, in *MySetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/MySetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) MyChangePassword(ctx context.Context, in *MyChangePasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/MyChangePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) FindPasswordChange(ctx context.Context, in *FindPasswordChangeReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/FindPasswordChange", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) GetUserIDBySession(ctx context.Context, in *GetUserIDBySessionReq, opts ...grpc.CallOption) (*GetUserIDBySessionResp, error) {
	out := new(GetUserIDBySessionResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/GetUserIDBySession", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) BannedUser(ctx context.Context, in *BannedUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/BannedUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) RecoverUser(ctx context.Context, in *RecoverUserReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/RecoverUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUserPrivacy(ctx context.Context, in *QueryUserPrivacyReq, opts ...grpc.CallOption) (*QueryUserPrivacyResp, error) {
	out := new(QueryUserPrivacyResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryUserPrivacy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) SetPassword(ctx context.Context, in *SetPasswordReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/SetPassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUserIdentity(ctx context.Context, in *QueryUserIdentityReq, opts ...grpc.CallOption) (*QueryUserIdentityResp, error) {
	out := new(QueryUserIdentityResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryUserIdentity", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUser(ctx context.Context, in *QueryUserReq, opts ...grpc.CallOption) (*QueryUserResp, error) {
	out := new(QueryUserResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUserIdentityTotal(ctx context.Context, in *QueryUserIdentityTotalReq, opts ...grpc.CallOption) (*QueryUserIdentityTotalResp, error) {
	out := new(QueryUserIdentityTotalResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryUserIdentityTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryUserTotal(ctx context.Context, in *QueryUserTotalReq, opts ...grpc.CallOption) (*QueryUserTotalResp, error) {
	out := new(QueryUserTotalResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryUserTotal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) LogOut(ctx context.Context, in *LogOutReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/LogOut", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) CancelAccount(ctx context.Context, in *CancelAccountReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/CancelAccount", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) UnbindWechat(ctx context.Context, in *UnbindWechatReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/UnbindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) BindWechat(ctx context.Context, in *BindWechatReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/BindWechat", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) QueryBind(ctx context.Context, in *QueryBindReq, opts ...grpc.CallOption) (*QueryBindResp, error) {
	out := new(QueryBindResp)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/QueryBind", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *userAuthClient) UpdateUserLoginInfo(ctx context.Context, in *UpdateUserLoginInfoReq, opts ...grpc.CallOption) (*common.Empty, error) {
	out := new(common.Empty)
	err := c.cc.Invoke(ctx, "/user_auth.v1.UserAuth/UpdateUserLoginInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UserAuthServer is the server API for UserAuth service.
// All implementations must embed UnimplementedUserAuthServer
// for forward compatibility
type UserAuthServer interface {
	// 使用密码登录，用户名可以是手机号，不会自动注册
	LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error)
	// 使用手机验证码登录，新用户则自动注册
	LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error)
	// 使用QQ登录
	LoginUseThirdPartyQQ(context.Context, *LoginUseThirdPartyQQReq) (*ThirdPartyLoginResp, error)
	// 使用微信登录
	LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyWechatReq) (*ThirdPartyLoginResp, error)
	// 使用Apple登录
	LoginUseThirdPartyApple(context.Context, *LoginUseThirdPartyAppleReq) (*ThirdPartyLoginResp, error)
	// 使用手机号运营商一键登录
	LoginUsePhoneAuthOneClick(context.Context, *LoginUsePhoneAuthOneClickReq) (*LoginResp, error)
	// 登录状态下 绑定QQ
	MyBindQQ(context.Context, *MyBindQQReq) (*common.Empty, error)
	// 登录状态下 绑定Apple
	MyBindApple(context.Context, *MyBindAppleReq) (*common.Empty, error)
	// 登录状态下 设置密码
	MySetPassword(context.Context, *MySetPasswordReq) (*common.Empty, error)
	// 登录状态下 修改密码
	MyChangePassword(context.Context, *MyChangePasswordReq) (*common.Empty, error)
	// 非登录状态 修改密码
	FindPasswordChange(context.Context, *FindPasswordChangeReq) (*common.Empty, error)
	// 根据session获取uid，一般用于其他服务判断是否登录使用
	GetUserIDBySession(context.Context, *GetUserIDBySessionReq) (*GetUserIDBySessionResp, error)
	// 封禁用户
	BannedUser(context.Context, *BannedUserReq) (*common.Empty, error)
	// 解封用户
	RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error)
	// 查询用户隐私
	QueryUserPrivacy(context.Context, *QueryUserPrivacyReq) (*QueryUserPrivacyResp, error)
	// 设置密码
	SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error)
	// 查询用户身份
	QueryUserIdentity(context.Context, *QueryUserIdentityReq) (*QueryUserIdentityResp, error)
	// 查询用户
	QueryUser(context.Context, *QueryUserReq) (*QueryUserResp, error)
	// 查询用户身份总数
	QueryUserIdentityTotal(context.Context, *QueryUserIdentityTotalReq) (*QueryUserIdentityTotalResp, error)
	// 查询用户总数
	QueryUserTotal(context.Context, *QueryUserTotalReq) (*QueryUserTotalResp, error)
	// 退出登录
	LogOut(context.Context, *LogOutReq) (*common.Empty, error)
	// 注销账号
	CancelAccount(context.Context, *CancelAccountReq) (*common.Empty, error)
	// 解绑微信
	UnbindWechat(context.Context, *UnbindWechatReq) (*common.Empty, error)
	// 绑定微信
	BindWechat(context.Context, *BindWechatReq) (*common.Empty, error)
	// 查询绑定列表
	QueryBind(context.Context, *QueryBindReq) (*QueryBindResp, error)
	// 更新用户登录信息
	UpdateUserLoginInfo(context.Context, *UpdateUserLoginInfoReq) (*common.Empty, error)
	mustEmbedUnimplementedUserAuthServer()
}

// UnimplementedUserAuthServer must be embedded to have forward compatible implementations.
type UnimplementedUserAuthServer struct {
}

func (UnimplementedUserAuthServer) LoginUsePassword(context.Context, *LoginUsePasswordReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUsePassword not implemented")
}
func (UnimplementedUserAuthServer) LoginUseSMS(context.Context, *LoginUseSMSReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseSMS not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyQQ(context.Context, *LoginUseThirdPartyQQReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyQQ not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyWechat(context.Context, *LoginUseThirdPartyWechatReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyWechat not implemented")
}
func (UnimplementedUserAuthServer) LoginUseThirdPartyApple(context.Context, *LoginUseThirdPartyAppleReq) (*ThirdPartyLoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUseThirdPartyApple not implemented")
}
func (UnimplementedUserAuthServer) LoginUsePhoneAuthOneClick(context.Context, *LoginUsePhoneAuthOneClickReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginUsePhoneAuthOneClick not implemented")
}
func (UnimplementedUserAuthServer) MyBindQQ(context.Context, *MyBindQQReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MyBindQQ not implemented")
}
func (UnimplementedUserAuthServer) MyBindApple(context.Context, *MyBindAppleReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MyBindApple not implemented")
}
func (UnimplementedUserAuthServer) MySetPassword(context.Context, *MySetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MySetPassword not implemented")
}
func (UnimplementedUserAuthServer) MyChangePassword(context.Context, *MyChangePasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method MyChangePassword not implemented")
}
func (UnimplementedUserAuthServer) FindPasswordChange(context.Context, *FindPasswordChangeReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindPasswordChange not implemented")
}
func (UnimplementedUserAuthServer) GetUserIDBySession(context.Context, *GetUserIDBySessionReq) (*GetUserIDBySessionResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUserIDBySession not implemented")
}
func (UnimplementedUserAuthServer) BannedUser(context.Context, *BannedUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BannedUser not implemented")
}
func (UnimplementedUserAuthServer) RecoverUser(context.Context, *RecoverUserReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RecoverUser not implemented")
}
func (UnimplementedUserAuthServer) QueryUserPrivacy(context.Context, *QueryUserPrivacyReq) (*QueryUserPrivacyResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserPrivacy not implemented")
}
func (UnimplementedUserAuthServer) SetPassword(context.Context, *SetPasswordReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetPassword not implemented")
}
func (UnimplementedUserAuthServer) QueryUserIdentity(context.Context, *QueryUserIdentityReq) (*QueryUserIdentityResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserIdentity not implemented")
}
func (UnimplementedUserAuthServer) QueryUser(context.Context, *QueryUserReq) (*QueryUserResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUser not implemented")
}
func (UnimplementedUserAuthServer) QueryUserIdentityTotal(context.Context, *QueryUserIdentityTotalReq) (*QueryUserIdentityTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserIdentityTotal not implemented")
}
func (UnimplementedUserAuthServer) QueryUserTotal(context.Context, *QueryUserTotalReq) (*QueryUserTotalResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryUserTotal not implemented")
}
func (UnimplementedUserAuthServer) LogOut(context.Context, *LogOutReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LogOut not implemented")
}
func (UnimplementedUserAuthServer) CancelAccount(context.Context, *CancelAccountReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelAccount not implemented")
}
func (UnimplementedUserAuthServer) UnbindWechat(context.Context, *UnbindWechatReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnbindWechat not implemented")
}
func (UnimplementedUserAuthServer) BindWechat(context.Context, *BindWechatReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method BindWechat not implemented")
}
func (UnimplementedUserAuthServer) QueryBind(context.Context, *QueryBindReq) (*QueryBindResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QueryBind not implemented")
}
func (UnimplementedUserAuthServer) UpdateUserLoginInfo(context.Context, *UpdateUserLoginInfoReq) (*common.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateUserLoginInfo not implemented")
}
func (UnimplementedUserAuthServer) mustEmbedUnimplementedUserAuthServer() {}

// UnsafeUserAuthServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to UserAuthServer will
// result in compilation errors.
type UnsafeUserAuthServer interface {
	mustEmbedUnimplementedUserAuthServer()
}

func RegisterUserAuthServer(s grpc.ServiceRegistrar, srv UserAuthServer) {
	s.RegisterService(&UserAuth_ServiceDesc, srv)
}

func _UserAuth_LoginUsePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUsePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUsePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUsePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUsePassword(ctx, req.(*LoginUsePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseSMS_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseSMSReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseSMS(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUseSMS",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseSMS(ctx, req.(*LoginUseSMSReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyQQ_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyQQReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyQQ(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUseThirdPartyQQ",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyQQ(ctx, req.(*LoginUseThirdPartyQQReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUseThirdPartyWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyWechat(ctx, req.(*LoginUseThirdPartyWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUseThirdPartyApple_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUseThirdPartyAppleReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUseThirdPartyApple(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUseThirdPartyApple",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUseThirdPartyApple(ctx, req.(*LoginUseThirdPartyAppleReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LoginUsePhoneAuthOneClick_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginUsePhoneAuthOneClickReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LoginUsePhoneAuthOneClick(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LoginUsePhoneAuthOneClick",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LoginUsePhoneAuthOneClick(ctx, req.(*LoginUsePhoneAuthOneClickReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_MyBindQQ_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MyBindQQReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).MyBindQQ(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/MyBindQQ",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).MyBindQQ(ctx, req.(*MyBindQQReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_MyBindApple_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MyBindAppleReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).MyBindApple(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/MyBindApple",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).MyBindApple(ctx, req.(*MyBindAppleReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_MySetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MySetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).MySetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/MySetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).MySetPassword(ctx, req.(*MySetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_MyChangePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MyChangePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).MyChangePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/MyChangePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).MyChangePassword(ctx, req.(*MyChangePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_FindPasswordChange_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindPasswordChangeReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).FindPasswordChange(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/FindPasswordChange",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).FindPasswordChange(ctx, req.(*FindPasswordChangeReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_GetUserIDBySession_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserIDBySessionReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).GetUserIDBySession(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/GetUserIDBySession",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).GetUserIDBySession(ctx, req.(*GetUserIDBySessionReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_BannedUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BannedUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).BannedUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/BannedUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).BannedUser(ctx, req.(*BannedUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_RecoverUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RecoverUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).RecoverUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/RecoverUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).RecoverUser(ctx, req.(*RecoverUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUserPrivacy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserPrivacyReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUserPrivacy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryUserPrivacy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUserPrivacy(ctx, req.(*QueryUserPrivacyReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_SetPassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetPasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).SetPassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/SetPassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).SetPassword(ctx, req.(*SetPasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUserIdentity_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserIdentityReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUserIdentity(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryUserIdentity",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUserIdentity(ctx, req.(*QueryUserIdentityReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUser(ctx, req.(*QueryUserReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUserIdentityTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserIdentityTotalReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUserIdentityTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryUserIdentityTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUserIdentityTotal(ctx, req.(*QueryUserIdentityTotalReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryUserTotal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryUserTotalReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryUserTotal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryUserTotal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryUserTotal(ctx, req.(*QueryUserTotalReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_LogOut_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogOutReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).LogOut(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/LogOut",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).LogOut(ctx, req.(*LogOutReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_CancelAccount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelAccountReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).CancelAccount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/CancelAccount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).CancelAccount(ctx, req.(*CancelAccountReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_UnbindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnbindWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).UnbindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/UnbindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).UnbindWechat(ctx, req.(*UnbindWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_BindWechat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BindWechatReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).BindWechat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/BindWechat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).BindWechat(ctx, req.(*BindWechatReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_QueryBind_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryBindReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).QueryBind(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/QueryBind",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).QueryBind(ctx, req.(*QueryBindReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _UserAuth_UpdateUserLoginInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateUserLoginInfoReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UserAuthServer).UpdateUserLoginInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/user_auth.v1.UserAuth/UpdateUserLoginInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UserAuthServer).UpdateUserLoginInfo(ctx, req.(*UpdateUserLoginInfoReq))
	}
	return interceptor(ctx, in, info, handler)
}

// UserAuth_ServiceDesc is the grpc.ServiceDesc for UserAuth service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var UserAuth_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "user_auth.v1.UserAuth",
	HandlerType: (*UserAuthServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "LoginUsePassword",
			Handler:    _UserAuth_LoginUsePassword_Handler,
		},
		{
			MethodName: "LoginUseSMS",
			Handler:    _UserAuth_LoginUseSMS_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyQQ",
			Handler:    _UserAuth_LoginUseThirdPartyQQ_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyWechat",
			Handler:    _UserAuth_LoginUseThirdPartyWechat_Handler,
		},
		{
			MethodName: "LoginUseThirdPartyApple",
			Handler:    _UserAuth_LoginUseThirdPartyApple_Handler,
		},
		{
			MethodName: "LoginUsePhoneAuthOneClick",
			Handler:    _UserAuth_LoginUsePhoneAuthOneClick_Handler,
		},
		{
			MethodName: "MyBindQQ",
			Handler:    _UserAuth_MyBindQQ_Handler,
		},
		{
			MethodName: "MyBindApple",
			Handler:    _UserAuth_MyBindApple_Handler,
		},
		{
			MethodName: "MySetPassword",
			Handler:    _UserAuth_MySetPassword_Handler,
		},
		{
			MethodName: "MyChangePassword",
			Handler:    _UserAuth_MyChangePassword_Handler,
		},
		{
			MethodName: "FindPasswordChange",
			Handler:    _UserAuth_FindPasswordChange_Handler,
		},
		{
			MethodName: "GetUserIDBySession",
			Handler:    _UserAuth_GetUserIDBySession_Handler,
		},
		{
			MethodName: "BannedUser",
			Handler:    _UserAuth_BannedUser_Handler,
		},
		{
			MethodName: "RecoverUser",
			Handler:    _UserAuth_RecoverUser_Handler,
		},
		{
			MethodName: "QueryUserPrivacy",
			Handler:    _UserAuth_QueryUserPrivacy_Handler,
		},
		{
			MethodName: "SetPassword",
			Handler:    _UserAuth_SetPassword_Handler,
		},
		{
			MethodName: "QueryUserIdentity",
			Handler:    _UserAuth_QueryUserIdentity_Handler,
		},
		{
			MethodName: "QueryUser",
			Handler:    _UserAuth_QueryUser_Handler,
		},
		{
			MethodName: "QueryUserIdentityTotal",
			Handler:    _UserAuth_QueryUserIdentityTotal_Handler,
		},
		{
			MethodName: "QueryUserTotal",
			Handler:    _UserAuth_QueryUserTotal_Handler,
		},
		{
			MethodName: "LogOut",
			Handler:    _UserAuth_LogOut_Handler,
		},
		{
			MethodName: "CancelAccount",
			Handler:    _UserAuth_CancelAccount_Handler,
		},
		{
			MethodName: "UnbindWechat",
			Handler:    _UserAuth_UnbindWechat_Handler,
		},
		{
			MethodName: "BindWechat",
			Handler:    _UserAuth_BindWechat_Handler,
		},
		{
			MethodName: "QueryBind",
			Handler:    _UserAuth_QueryBind_Handler,
		},
		{
			MethodName: "UpdateUserLoginInfo",
			Handler:    _UserAuth_UpdateUserLoginInfo_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "user_auth/v1/user_auth.proto",
}
